/*
 * Created on 27 mai 2005
 *
 * INRIA - ARLES Project
 * 
 * contact: Pierre-Guillaume.Raverdy@inria.fr
 * Preliminary version, please do not distribute
 * 
 * Copyright 2005
 */

package org.msda.context;

import java.util.Calendar;



public class NodeProfile
{
	int Energy;      float EnergyNormalized; 
    int TotalMemory; float TotalMemoryNormalized;
    int FreeMemory;  float FreeMemoryNormalized;
    int CPUCapacity; float CPUCapacityNormalized;
    int CacheSize;   float CacheSizeNormalized;
    int Bandwith;    float BandwithNormalized;
    
  
    float benefit;
    
    public NodeProfile()
    {
    	benefit = Calendar.getInstance().getTime().getTime();

    	setEnergy(SystemInfo.getEnergy());
    	setTotalMemory(SystemInfo.getTotalMemory());
    	setFreeMemory(SystemInfo.getFreeMemory());
    	setCPUCapacity(SystemInfo.getCPUCapacity());
    	setCacheSize(SystemInfo.getCacheSize());
    	
    }

       
    
    public void setEnergy(int Energy)
    {
	this.Energy=Energy;
    }

        public void setTotalMemory(int TotalMemory)
    {
	//if (TotalMemory > 10000) this.TotalMemory = TotalMemory/1000;
	//	else
	this.TotalMemory=TotalMemory;
    }

    public void setFreeMemory(int FreeMemory)
    {
	//if (FreeMemory > 1000) this.FreeMemory = FreeMemory/1000;
	//else 
	this.FreeMemory=FreeMemory;
    }

    public void setCPUCapacity(int CPUCapacity)
    {
	this.CPUCapacity=CPUCapacity;
    }

    public void setCacheSize(int CacheSize)
    {
	this.CacheSize=CacheSize;
    }

    public void setBandwith(int Bandwith)
    {
	this.Bandwith=Bandwith;
    }
    
    public int getEnergy()
    {
	return Energy;
    }

    public int getTotalMemory()
    {
	return TotalMemory;
    }

    public int getFreeMemory()
    {
	return FreeMemory;
    }

    public int getCPUCapacity()
    {
	return CPUCapacity;
    }

    public int getCacheSize()
    {
	return CacheSize;
    }

    public int getBandwith()
    {
    	return Bandwith;
    }

    public void profileUpdate()
    {
    	setEnergy(SystemInfo.getEnergy());
    	setFreeMemory(SystemInfo.getFreeMemory());
    }

    public float getBenefit()
    {
    	return benefit;
//		float benefit = ((Energy/Weight.StandardEnergy)*Weight.Energy)+ 
//			((TotalMemory/Weight.StandardTotalMemory)*Weight.TotalMemory)+ 
//		    ((FreeMemory/Weight.StandardFreeMemory)*Weight.FreeMemory)+ 
//		    ((CPUCapacity/Weight.StandardCPUCapacity)*Weight.CPUCapacity)+ 
//		    ((CacheSize/Weight.StandardCacheSize)*Weight.CacheSize); 
//		    	
//		//normalization();
//		return benefit;
    }

}

