/*
 * Created on May 17, 2005
 *
 * Comments, questions: 
 *	Pierre-Guillaume.Raverdy@inria.fr
 *	Rafik.Chibout@inria.fr
 *
 * INRIA, ARLES Project
 * 2004-2005
 */ 


package org.msda.gui;

/**
 * @author agnes.de_la_chapelle@inria.fr - INRIA ARLES
 *
 */
public interface GUIMessageNotification {

    /**
     * Notify the GUI that a message has been added. 
     * 
     * @param the Message
     */
    public void notify( Object o );

    /**
     * 
     * @param o
     * @param from
     */
    public void notify( Object o, String from );
    
    /**
     * Notify the GUI that an error has occured.
     * 
     * @param the Error
     */
//    public void notifyError( Object error );
}
