/*
 * Created on May 16, 2005
 *
 * Comments, questions: 
 *	Pierre-Guillaume.Raverdy@inria.fr
 *	Rafik.Chibout@inria.fr
 *
 * INRIA, ARLES Project
 * 2004-2005
 */ 


package org.msda.gui.manager;

import java.awt.*;

import org.msda.gui.ManagerGUI;

/**
 * The toolbar panel for the manager.
 * <p>
 * 
 * @author agnes.de_la_chapelle@inria.fr - INRIA ARLES
 *
 */
public class ToolbarPanel extends Panel {

    private String active;
    private ManagerGUI gui;
    
    private Label label;
    
    /**
     * Constructor.
     * 
     * @param gui
     */
    public ToolbarPanel( ManagerGUI gui ) {
        
        this.gui = gui;
        label = new Label( "Manager" );
        label.setSize( getSize() );
        add( label, BorderLayout.CENTER );
    }
    
    public void addTitle( String title ) {
        
        label.setText( title );
        label.setSize( getSize() );
        repaint();
    }
}
