package org.msda.msd;

public class ObjectFactory {
  private org.apache.ws.jaxme.impl.JAXBContextImpl jaxbContext;

  private java.util.Map properties;


  public ObjectFactory() throws javax.xml.bind.JAXBException {
    jaxbContext = (org.apache.ws.jaxme.impl.JAXBContextImpl) javax.xml.bind.JAXBContext.newInstance("org.msda.msd");
  }

  public java.lang.Object newInstance(java.lang.Class pElementInterface) throws javax.xml.bind.JAXBException {
    return jaxbContext.getManager(pElementInterface).getElementJ();
  }

  public java.lang.Object getProperty(java.lang.String pName) {
    if (properties == null) {
      return null;
    }
    return properties.get(pName);
  }

  public void setProperty(java.lang.String pName, java.lang.Object pValue) {
    if (properties == null) {
      properties = new java.util.HashMap();
    }
    properties.put(pName, pValue);
  }

  public org.msda.msd.PlatformStartup createPlatformStartup() throws javax.xml.bind.JAXBException {
    return (org.msda.msd.PlatformStartup) newInstance(org.msda.msd.PlatformStartup.class);
  }

  public org.msda.msd.PlatformStartupType createPlatformStartupType() throws javax.xml.bind.JAXBException {
    return (org.msda.msd.PlatformStartupType) newInstance(org.msda.msd.PlatformStartupType.class);
  }

  public org.msda.msd.MSDMessage createMSDMessage() throws javax.xml.bind.JAXBException {
    return (org.msda.msd.MSDMessage) newInstance(org.msda.msd.MSDMessage.class);
  }

  public org.msda.msd.ServiceMessage createServiceMessage() throws javax.xml.bind.JAXBException {
    return (org.msda.msd.ServiceMessage) newInstance(org.msda.msd.ServiceMessage.class);
  }

  public org.msda.msd.MSDDesc createMSDDesc() throws javax.xml.bind.JAXBException {
    return (org.msda.msd.MSDDesc) newInstance(org.msda.msd.MSDDesc.class);
  }

  public org.msda.msd.MSDDescription createMSDDescription() throws javax.xml.bind.JAXBException {
    return (org.msda.msd.MSDDescription) newInstance(org.msda.msd.MSDDescription.class);
  }

  public org.msda.msd.CtxStartup createCtxStartup() throws javax.xml.bind.JAXBException {
    return (org.msda.msd.CtxStartup) newInstance(org.msda.msd.CtxStartup.class);
  }

  public org.msda.msd.NetCtxStartup createNetCtxStartup() throws javax.xml.bind.JAXBException {
    return (org.msda.msd.NetCtxStartup) newInstance(org.msda.msd.NetCtxStartup.class);
  }

  public org.msda.msd.UbisecID createUbisecID() throws javax.xml.bind.JAXBException {
    return (org.msda.msd.UbisecID) newInstance(org.msda.msd.UbisecID.class);
  }

  public org.msda.msd.Attribute createAttribute() throws javax.xml.bind.JAXBException {
    return (org.msda.msd.Attribute) newInstance(org.msda.msd.Attribute.class);
  }

  public org.msda.msd.Param createParam() throws javax.xml.bind.JAXBException {
    return (org.msda.msd.Param) newInstance(org.msda.msd.Param.class);
  }

  public org.msda.msd.SecurityParams createSecurityParams() throws javax.xml.bind.JAXBException {
    return (org.msda.msd.SecurityParams) newInstance(org.msda.msd.SecurityParams.class);
  }

  public org.msda.msd.Plugin createPlugin() throws javax.xml.bind.JAXBException {
    return (org.msda.msd.Plugin) newInstance(org.msda.msd.Plugin.class);
  }

  public org.msda.msd.Hop createHop() throws javax.xml.bind.JAXBException {
    return (org.msda.msd.Hop) newInstance(org.msda.msd.Hop.class);
  }

  public org.msda.msd.PropagationInformation createPropagationInformation() throws javax.xml.bind.JAXBException {
    return (org.msda.msd.PropagationInformation) newInstance(org.msda.msd.PropagationInformation.class);
  }

  public org.msda.msd.Creator createCreator() throws javax.xml.bind.JAXBException {
    return (org.msda.msd.Creator) newInstance(org.msda.msd.Creator.class);
  }

  public org.msda.msd.CreationInformation createCreationInformation() throws javax.xml.bind.JAXBException {
    return (org.msda.msd.CreationInformation) newInstance(org.msda.msd.CreationInformation.class);
  }

  public org.msda.msd.MetaInformation createMetaInformation() throws javax.xml.bind.JAXBException {
    return (org.msda.msd.MetaInformation) newInstance(org.msda.msd.MetaInformation.class);
  }

  public org.msda.msd.Method createMethod() throws javax.xml.bind.JAXBException {
    return (org.msda.msd.Method) newInstance(org.msda.msd.Method.class);
  }

  public org.msda.msd.Address createAddress() throws javax.xml.bind.JAXBException {
    return (org.msda.msd.Address) newInstance(org.msda.msd.Address.class);
  }

  public org.msda.msd.Binding createBinding() throws javax.xml.bind.JAXBException {
    return (org.msda.msd.Binding) newInstance(org.msda.msd.Binding.class);
  }

  public org.msda.msd.Original createOriginal() throws javax.xml.bind.JAXBException {
    return (org.msda.msd.Original) newInstance(org.msda.msd.Original.class);
  }

  public org.msda.msd.Generic createGeneric() throws javax.xml.bind.JAXBException {
    return (org.msda.msd.Generic) newInstance(org.msda.msd.Generic.class);
  }

  public org.msda.msd.ServiceDefinition createServiceDefinition() throws javax.xml.bind.JAXBException {
    return (org.msda.msd.ServiceDefinition) newInstance(org.msda.msd.ServiceDefinition.class);
  }

  public org.msda.msd.ReqCreationInformation createReqCreationInformation() throws javax.xml.bind.JAXBException {
    return (org.msda.msd.ReqCreationInformation) newInstance(org.msda.msd.ReqCreationInformation.class);
  }

  public org.msda.msd.ResponseInformation createResponseInformation() throws javax.xml.bind.JAXBException {
    return (org.msda.msd.ResponseInformation) newInstance(org.msda.msd.ResponseInformation.class);
  }

  public org.msda.msd.ReqProcessingInformation createReqProcessingInformation() throws javax.xml.bind.JAXBException {
    return (org.msda.msd.ReqProcessingInformation) newInstance(org.msda.msd.ReqProcessingInformation.class);
  }

  public org.msda.msd.Location createLocation() throws javax.xml.bind.JAXBException {
    return (org.msda.msd.Location) newInstance(org.msda.msd.Location.class);
  }

  public org.msda.msd.RequestService createRequestService() throws javax.xml.bind.JAXBException {
    return (org.msda.msd.RequestService) newInstance(org.msda.msd.RequestService.class);
  }

  public org.msda.msd.ReqDescriptionInformation createReqDescriptionInformation() throws javax.xml.bind.JAXBException {
    return (org.msda.msd.ReqDescriptionInformation) newInstance(org.msda.msd.ReqDescriptionInformation.class);
  }

  public org.msda.msd.ServiceAccess createServiceAccess() throws javax.xml.bind.JAXBException {
    return (org.msda.msd.ServiceAccess) newInstance(org.msda.msd.ServiceAccess.class);
  }

  public org.msda.msd.InformationComponent createInformationComponent() throws javax.xml.bind.JAXBException {
    return (org.msda.msd.InformationComponent) newInstance(org.msda.msd.InformationComponent.class);
  }

  public org.msda.msd.ControlMessage createControlMessage() throws javax.xml.bind.JAXBException {
    return (org.msda.msd.ControlMessage) newInstance(org.msda.msd.ControlMessage.class);
  }

  public org.msda.msd.TypeValue createTypeValue() throws javax.xml.bind.JAXBException {
    return (org.msda.msd.TypeValue) newInstance(org.msda.msd.TypeValue.class);
  }

  public org.msda.msd.ComparisonNode createComparisonNode() throws javax.xml.bind.JAXBException {
    return (org.msda.msd.ComparisonNode) newInstance(org.msda.msd.ComparisonNode.class);
  }

  public org.msda.msd.CombinationNode createCombinationNode() throws javax.xml.bind.JAXBException {
    return (org.msda.msd.CombinationNode) newInstance(org.msda.msd.CombinationNode.class);
  }

  public org.msda.msd.ContextNode createContextNode() throws javax.xml.bind.JAXBException {
    return (org.msda.msd.ContextNode) newInstance(org.msda.msd.ContextNode.class);
  }

  public org.msda.msd.ContextRulesTree createContextRulesTree() throws javax.xml.bind.JAXBException {
    return (org.msda.msd.ContextRulesTree) newInstance(org.msda.msd.ContextRulesTree.class);
  }

  public org.msda.msd.ContextRules createContextRules() throws javax.xml.bind.JAXBException {
    return (org.msda.msd.ContextRules) newInstance(org.msda.msd.ContextRules.class);
  }

  public org.msda.msd.ContextElement createContextElement() throws javax.xml.bind.JAXBException {
    return (org.msda.msd.ContextElement) newInstance(org.msda.msd.ContextElement.class);
  }

  public org.msda.msd.ContextInformationTable createContextInformationTable() throws javax.xml.bind.JAXBException {
    return (org.msda.msd.ContextInformationTable) newInstance(org.msda.msd.ContextInformationTable.class);
  }

  public org.msda.msd.ContextInformation createContextInformation() throws javax.xml.bind.JAXBException {
    return (org.msda.msd.ContextInformation) newInstance(org.msda.msd.ContextInformation.class);
  }

  public org.msda.msd.MSDRequest createMSDRequest() throws javax.xml.bind.JAXBException {
    return (org.msda.msd.MSDRequest) newInstance(org.msda.msd.MSDRequest.class);
  }

  public org.msda.msd.PluginDef createPluginDef() throws javax.xml.bind.JAXBException {
    return (org.msda.msd.PluginDef) newInstance(org.msda.msd.PluginDef.class);
  }

  public org.msda.msd.NetworkConfig createNetworkConfig() throws javax.xml.bind.JAXBException {
    return (org.msda.msd.NetworkConfig) newInstance(org.msda.msd.NetworkConfig.class);
  }

  public org.msda.msd.ManagerConfig createManagerConfig() throws javax.xml.bind.JAXBException {
    return (org.msda.msd.ManagerConfig) newInstance(org.msda.msd.ManagerConfig.class);
  }

  public org.msda.msd.FrameworkConfig createFrameworkConfig() throws javax.xml.bind.JAXBException {
    return (org.msda.msd.FrameworkConfig) newInstance(org.msda.msd.FrameworkConfig.class);
  }

  public org.msda.msd.DeviceConfig createDeviceConfig() throws javax.xml.bind.JAXBException {
    return (org.msda.msd.DeviceConfig) newInstance(org.msda.msd.DeviceConfig.class);
  }

  public org.msda.msd.MessageContent createMessageContent() throws javax.xml.bind.JAXBException {
    return (org.msda.msd.MessageContent) newInstance(org.msda.msd.MessageContent.class);
  }

}
