package org.msda.msd.impl;

public class ContextRulesHandler extends org.apache.ws.jaxme.impl.JMSAXElementParser {
  /** The current state. The following values are valid states:
   *  0 = Before parsing the element
   *  1 = While or after parsing the child element {http://msd.msda.org}CRUser
   *  2 = While or after parsing the child element {http://msd.msda.org}CRNet
   *  3 = While or after parsing the child element {http://msd.msda.org}CRSvc
   * 
   */
  private int __state;


  public boolean startElement(java.lang.String pNamespaceURI, java.lang.String pLocalName, java.lang.String pQName, org.xml.sax.Attributes pAttr) throws org.xml.sax.SAXException {
    org.apache.ws.jaxme.impl.JMUnmarshallerHandlerImpl _1 = getHandler();
    switch (__state) {
      case 0:
        if ("http://msd.msda.org".equals(pNamespaceURI)  &&  "CRUser".equals(pLocalName)) {
          __state = 1;
          org.apache.ws.jaxme.JMManager _2 = getHandler().getJMUnmarshaller().getJAXBContextImpl().getManagerS(org.msda.msd.ContextRulesTree.class);
          java.lang.Object _3 = _2.getElementS();
          org.apache.ws.jaxme.impl.JMSAXElementParser _4 = _2.getHandler();
          _4.init(_1, _3, "http://msd.msda.org", "CRUser", _1.getLevel());
          _4.setAttributes(pAttr);
          _1.addElementParser(_4);
          return true;
        } else if ("http://msd.msda.org".equals(pNamespaceURI)  &&  "CRNet".equals(pLocalName)) {
          __state = 2;
          org.apache.ws.jaxme.JMManager _5 = getHandler().getJMUnmarshaller().getJAXBContextImpl().getManagerS(org.msda.msd.ContextRulesTree.class);
          java.lang.Object _6 = _5.getElementS();
          org.apache.ws.jaxme.impl.JMSAXElementParser _7 = _5.getHandler();
          _7.init(_1, _6, "http://msd.msda.org", "CRNet", _1.getLevel());
          _7.setAttributes(pAttr);
          _1.addElementParser(_7);
          return true;
        } else if ("http://msd.msda.org".equals(pNamespaceURI)  &&  "CRSvc".equals(pLocalName)) {
          __state = 3;
          org.apache.ws.jaxme.JMManager _8 = getHandler().getJMUnmarshaller().getJAXBContextImpl().getManagerS(org.msda.msd.ContextRulesTree.class);
          java.lang.Object _9 = _8.getElementS();
          org.apache.ws.jaxme.impl.JMSAXElementParser _10 = _8.getHandler();
          _10.init(_1, _9, "http://msd.msda.org", "CRSvc", _1.getLevel());
          _10.setAttributes(pAttr);
          _1.addElementParser(_10);
          return true;
        }
        break;
      case 1:
        if ("http://msd.msda.org".equals(pNamespaceURI)  &&  "CRNet".equals(pLocalName)) {
          __state = 2;
          org.apache.ws.jaxme.JMManager _11 = getHandler().getJMUnmarshaller().getJAXBContextImpl().getManagerS(org.msda.msd.ContextRulesTree.class);
          java.lang.Object _12 = _11.getElementS();
          org.apache.ws.jaxme.impl.JMSAXElementParser _13 = _11.getHandler();
          _13.init(_1, _12, "http://msd.msda.org", "CRNet", _1.getLevel());
          _13.setAttributes(pAttr);
          _1.addElementParser(_13);
          return true;
        } else if ("http://msd.msda.org".equals(pNamespaceURI)  &&  "CRSvc".equals(pLocalName)) {
          __state = 3;
          org.apache.ws.jaxme.JMManager _14 = getHandler().getJMUnmarshaller().getJAXBContextImpl().getManagerS(org.msda.msd.ContextRulesTree.class);
          java.lang.Object _15 = _14.getElementS();
          org.apache.ws.jaxme.impl.JMSAXElementParser _16 = _14.getHandler();
          _16.init(_1, _15, "http://msd.msda.org", "CRSvc", _1.getLevel());
          _16.setAttributes(pAttr);
          _1.addElementParser(_16);
          return true;
        }
        break;
      case 2:
        if ("http://msd.msda.org".equals(pNamespaceURI)  &&  "CRSvc".equals(pLocalName)) {
          __state = 3;
          org.apache.ws.jaxme.JMManager _17 = getHandler().getJMUnmarshaller().getJAXBContextImpl().getManagerS(org.msda.msd.ContextRulesTree.class);
          java.lang.Object _18 = _17.getElementS();
          org.apache.ws.jaxme.impl.JMSAXElementParser _19 = _17.getHandler();
          _19.init(_1, _18, "http://msd.msda.org", "CRSvc", _1.getLevel());
          _19.setAttributes(pAttr);
          _1.addElementParser(_19);
          return true;
        }
        break;
      case 3:
        break;
      default:
        throw new java.lang.IllegalStateException("Invalid state: " + __state);
    }
    return false;
  }

  public void endElement(java.lang.String pNamespaceURI, java.lang.String pLocalName, java.lang.String pQName, java.lang.Object pResult) throws org.xml.sax.SAXException {
    org.msda.msd.ContextRules _1 = (org.msda.msd.ContextRules) result;
    switch (__state) {
      case 1:
        if ("http://msd.msda.org".equals(pNamespaceURI)  &&  "CRUser".equals(pLocalName)) {
          _1.setCRUser(((org.msda.msd.ContextRulesTree) pResult));
          return;
        }
        break;
      case 2:
        if ("http://msd.msda.org".equals(pNamespaceURI)  &&  "CRNet".equals(pLocalName)) {
          _1.setCRNet(((org.msda.msd.ContextRulesTree) pResult));
          return;
        }
        break;
      case 3:
        if ("http://msd.msda.org".equals(pNamespaceURI)  &&  "CRSvc".equals(pLocalName)) {
          _1.setCRSvc(((org.msda.msd.ContextRulesTree) pResult));
          return;
        }
        break;
      default:
        throw new java.lang.IllegalStateException("Illegal state: " + __state);
    }
  }

  public boolean isFinished() {
    switch (__state) {
      case 3:
      case 2:
      case 1:
      case 0:
        return true;
      default:
        return false;
    }
  }


//Type metadata
	private static csoap.wsdl.TypeDesc typeDesc=new csoap.wsdl.TypeDesc(ContextRulesHandler.class);

	static {
		typeDesc.setXmlType(new javax.xml.namespace.QName("urn:MSDClientAPIService","ContextRulesHandler"));
		csoap.wsdl.ElementDesc elementField;

		elementField=new csoap.wsdl.ElementDesc();
		elementField.setFieldName("__state");
		elementField.setXmlName(new javax.xml.namespace.QName("","__state"));
		elementField.setXmlType(new javax.xml.namespace.QName("http://www.w3.org/2001/XMLSchema","int"));
		typeDesc.addFieldDesc(elementField);

		elementField=new csoap.wsdl.ElementDesc();
		elementField.setFieldName("class$0");
		elementField.setXmlName(new javax.xml.namespace.QName("","class$0"));
		elementField.setXmlType(new javax.xml.namespace.QName("urn:MSDClientAPIService","Class"));
		typeDesc.addFieldDesc(elementField);

	}

	/**
	* Return type metadata object
	*/
	public static csoap.wsdl.TypeDesc getTypeDesc() {
		return typeDesc;
	}



}
