package org.msda.msd.impl;

public class MSDRequestHandler extends org.apache.ws.jaxme.impl.JMSAXElementParser {
  /** The current state. The following values are valid states:
   *  0 = Before parsing the element
   *  1 = While or after parsing the child element {http://msd.msda.org}Checksum
   *  2 = While or after parsing the child element {http://msd.msda.org}ClientID
   *  3 = While or after parsing the child element {http://msd.msda.org}ReqID
   *  4 = While or after parsing the child element {http://msd.msda.org}DescInfo
   *  5 = While or after parsing the child element {http://msd.msda.org}CtxInfo
   *  6 = While or after parsing the child element {http://msd.msda.org}CtxRules
   *  7 = While or after parsing the child element {http://msd.msda.org}ProcInfo
   *  8 = While or after parsing the child element {http://msd.msda.org}PropaInfo
   * 
   */
  private int __state;


  public boolean startElement(java.lang.String pNamespaceURI, java.lang.String pLocalName, java.lang.String pQName, org.xml.sax.Attributes pAttr) throws org.xml.sax.SAXException {
    org.apache.ws.jaxme.impl.JMUnmarshallerHandlerImpl _1 = getHandler();
    switch (__state) {
      case 0:
        if ("http://msd.msda.org".equals(pNamespaceURI)  &&  "Checksum".equals(pLocalName)) {
          __state = 1;
          _1.addSimpleAtomicState();
          return true;
        } else if ("http://msd.msda.org".equals(pNamespaceURI)  &&  "ClientID".equals(pLocalName)) {
          __state = 2;
          _1.addSimpleAtomicState();
          return true;
        }
        break;
      case 1:
        if ("http://msd.msda.org".equals(pNamespaceURI)  &&  "ClientID".equals(pLocalName)) {
          __state = 2;
          _1.addSimpleAtomicState();
          return true;
        }
        break;
      case 2:
        if ("http://msd.msda.org".equals(pNamespaceURI)  &&  "ReqID".equals(pLocalName)) {
          __state = 3;
          _1.addSimpleAtomicState();
          return true;
        }
        break;
      case 3:
        if ("http://msd.msda.org".equals(pNamespaceURI)  &&  "DescInfo".equals(pLocalName)) {
          __state = 4;
          org.apache.ws.jaxme.JMManager _2 = getHandler().getJMUnmarshaller().getJAXBContextImpl().getManagerS(org.msda.msd.ReqDescriptionInformation.class);
          java.lang.Object _3 = _2.getElementS();
          org.apache.ws.jaxme.impl.JMSAXElementParser _4 = _2.getHandler();
          _4.init(_1, _3, "http://msd.msda.org", "DescInfo", _1.getLevel());
          _4.setAttributes(pAttr);
          _1.addElementParser(_4);
          return true;
        }
        break;
      case 4:
        if ("http://msd.msda.org".equals(pNamespaceURI)  &&  "CtxInfo".equals(pLocalName)) {
          __state = 5;
          org.apache.ws.jaxme.JMManager _5 = getHandler().getJMUnmarshaller().getJAXBContextImpl().getManagerS(org.msda.msd.ContextInformation.class);
          java.lang.Object _6 = _5.getElementS();
          org.apache.ws.jaxme.impl.JMSAXElementParser _7 = _5.getHandler();
          _7.init(_1, _6, "http://msd.msda.org", "CtxInfo", _1.getLevel());
          _7.setAttributes(pAttr);
          _1.addElementParser(_7);
          return true;
        } else if ("http://msd.msda.org".equals(pNamespaceURI)  &&  "CtxRules".equals(pLocalName)) {
          __state = 6;
          org.apache.ws.jaxme.JMManager _8 = getHandler().getJMUnmarshaller().getJAXBContextImpl().getManagerS(org.msda.msd.ContextRules.class);
          java.lang.Object _9 = _8.getElementS();
          org.apache.ws.jaxme.impl.JMSAXElementParser _10 = _8.getHandler();
          _10.init(_1, _9, "http://msd.msda.org", "CtxRules", _1.getLevel());
          _10.setAttributes(pAttr);
          _1.addElementParser(_10);
          return true;
        } else if ("http://msd.msda.org".equals(pNamespaceURI)  &&  "ProcInfo".equals(pLocalName)) {
          __state = 7;
          org.apache.ws.jaxme.JMManager _11 = getHandler().getJMUnmarshaller().getJAXBContextImpl().getManagerS(org.msda.msd.ReqProcessingInformation.class);
          java.lang.Object _12 = _11.getElementS();
          org.apache.ws.jaxme.impl.JMSAXElementParser _13 = _11.getHandler();
          _13.init(_1, _12, "http://msd.msda.org", "ProcInfo", _1.getLevel());
          _13.setAttributes(pAttr);
          _1.addElementParser(_13);
          return true;
        }
        break;
      case 5:
        if ("http://msd.msda.org".equals(pNamespaceURI)  &&  "CtxRules".equals(pLocalName)) {
          __state = 6;
          org.apache.ws.jaxme.JMManager _14 = getHandler().getJMUnmarshaller().getJAXBContextImpl().getManagerS(org.msda.msd.ContextRules.class);
          java.lang.Object _15 = _14.getElementS();
          org.apache.ws.jaxme.impl.JMSAXElementParser _16 = _14.getHandler();
          _16.init(_1, _15, "http://msd.msda.org", "CtxRules", _1.getLevel());
          _16.setAttributes(pAttr);
          _1.addElementParser(_16);
          return true;
        } else if ("http://msd.msda.org".equals(pNamespaceURI)  &&  "ProcInfo".equals(pLocalName)) {
          __state = 7;
          org.apache.ws.jaxme.JMManager _17 = getHandler().getJMUnmarshaller().getJAXBContextImpl().getManagerS(org.msda.msd.ReqProcessingInformation.class);
          java.lang.Object _18 = _17.getElementS();
          org.apache.ws.jaxme.impl.JMSAXElementParser _19 = _17.getHandler();
          _19.init(_1, _18, "http://msd.msda.org", "ProcInfo", _1.getLevel());
          _19.setAttributes(pAttr);
          _1.addElementParser(_19);
          return true;
        }
        break;
      case 6:
        if ("http://msd.msda.org".equals(pNamespaceURI)  &&  "ProcInfo".equals(pLocalName)) {
          __state = 7;
          org.apache.ws.jaxme.JMManager _20 = getHandler().getJMUnmarshaller().getJAXBContextImpl().getManagerS(org.msda.msd.ReqProcessingInformation.class);
          java.lang.Object _21 = _20.getElementS();
          org.apache.ws.jaxme.impl.JMSAXElementParser _22 = _20.getHandler();
          _22.init(_1, _21, "http://msd.msda.org", "ProcInfo", _1.getLevel());
          _22.setAttributes(pAttr);
          _1.addElementParser(_22);
          return true;
        }
        break;
      case 7:
        if ("http://msd.msda.org".equals(pNamespaceURI)  &&  "PropaInfo".equals(pLocalName)) {
          __state = 8;
          org.apache.ws.jaxme.JMManager _23 = getHandler().getJMUnmarshaller().getJAXBContextImpl().getManagerS(org.msda.msd.PropagationInformation.class);
          java.lang.Object _24 = _23.getElementS();
          org.apache.ws.jaxme.impl.JMSAXElementParser _25 = _23.getHandler();
          _25.init(_1, _24, "http://msd.msda.org", "PropaInfo", _1.getLevel());
          _25.setAttributes(pAttr);
          _1.addElementParser(_25);
          return true;
        }
        break;
      case 8:
        break;
      default:
        throw new java.lang.IllegalStateException("Invalid state: " + __state);
    }
    return false;
  }

  public void endElement(java.lang.String pNamespaceURI, java.lang.String pLocalName, java.lang.String pQName, java.lang.Object pResult) throws org.xml.sax.SAXException {
    org.msda.msd.MSDRequest _1 = (org.msda.msd.MSDRequest) result;
    switch (__state) {
      case 1:
        if ("http://msd.msda.org".equals(pNamespaceURI)  &&  "Checksum".equals(pLocalName)) {
          _1.setChecksum((java.lang.String) pResult);
          return;
        }
        break;
      case 2:
        if ("http://msd.msda.org".equals(pNamespaceURI)  &&  "ClientID".equals(pLocalName)) {
          try {
            _1.setClientID(getHandler().getDatatypeConverter().parseInteger((java.lang.String) pResult));
          } catch (java.lang.Exception _2) {
            getHandler().parseConversionEvent("Failed to convert value of {http://msd.msda.org}ClientID: " + pResult, _2);
          }
          return;
        }
        break;
      case 3:
        if ("http://msd.msda.org".equals(pNamespaceURI)  &&  "ReqID".equals(pLocalName)) {
          try {
            _1.setReqID(getHandler().getDatatypeConverter().parseInteger((java.lang.String) pResult));
          } catch (java.lang.Exception _3) {
            getHandler().parseConversionEvent("Failed to convert value of {http://msd.msda.org}ReqID: " + pResult, _3);
          }
          return;
        }
        break;
      case 4:
        if ("http://msd.msda.org".equals(pNamespaceURI)  &&  "DescInfo".equals(pLocalName)) {
          _1.setDescInfo(((org.msda.msd.ReqDescriptionInformation) pResult));
          return;
        }
        break;
      case 5:
        if ("http://msd.msda.org".equals(pNamespaceURI)  &&  "CtxInfo".equals(pLocalName)) {
          _1.setCtxInfo(((org.msda.msd.ContextInformation) pResult));
          return;
        }
        break;
      case 6:
        if ("http://msd.msda.org".equals(pNamespaceURI)  &&  "CtxRules".equals(pLocalName)) {
          _1.setCtxRules(((org.msda.msd.ContextRules) pResult));
          return;
        }
        break;
      case 7:
        if ("http://msd.msda.org".equals(pNamespaceURI)  &&  "ProcInfo".equals(pLocalName)) {
          _1.setProcInfo(((org.msda.msd.ReqProcessingInformation) pResult));
          return;
        }
        break;
      case 8:
        if ("http://msd.msda.org".equals(pNamespaceURI)  &&  "PropaInfo".equals(pLocalName)) {
          _1.setPropaInfo(((org.msda.msd.PropagationInformation) pResult));
          return;
        }
        break;
      default:
        throw new java.lang.IllegalStateException("Illegal state: " + __state);
    }
  }

  public boolean isFinished() {
    switch (__state) {
      case 8:
      case 7:
        return true;
      default:
        return false;
    }
  }


//Type metadata
	private static csoap.wsdl.TypeDesc typeDesc=new csoap.wsdl.TypeDesc(MSDRequestHandler.class);

	static {
		typeDesc.setXmlType(new javax.xml.namespace.QName("urn:MSDClientAPIService","MSDRequestHandler"));
		csoap.wsdl.ElementDesc elementField;

		elementField=new csoap.wsdl.ElementDesc();
		elementField.setFieldName("__state");
		elementField.setXmlName(new javax.xml.namespace.QName("","__state"));
		elementField.setXmlType(new javax.xml.namespace.QName("http://www.w3.org/2001/XMLSchema","int"));
		typeDesc.addFieldDesc(elementField);

		elementField=new csoap.wsdl.ElementDesc();
		elementField.setFieldName("class$0");
		elementField.setXmlName(new javax.xml.namespace.QName("","class$0"));
		elementField.setXmlType(new javax.xml.namespace.QName("urn:MSDClientAPIService","Class"));
		typeDesc.addFieldDesc(elementField);

		elementField=new csoap.wsdl.ElementDesc();
		elementField.setFieldName("class$1");
		elementField.setXmlName(new javax.xml.namespace.QName("","class$1"));
		elementField.setXmlType(new javax.xml.namespace.QName("urn:MSDClientAPIService","Class"));
		typeDesc.addFieldDesc(elementField);

		elementField=new csoap.wsdl.ElementDesc();
		elementField.setFieldName("class$2");
		elementField.setXmlName(new javax.xml.namespace.QName("","class$2"));
		elementField.setXmlType(new javax.xml.namespace.QName("urn:MSDClientAPIService","Class"));
		typeDesc.addFieldDesc(elementField);

		elementField=new csoap.wsdl.ElementDesc();
		elementField.setFieldName("class$3");
		elementField.setXmlName(new javax.xml.namespace.QName("","class$3"));
		elementField.setXmlType(new javax.xml.namespace.QName("urn:MSDClientAPIService","Class"));
		typeDesc.addFieldDesc(elementField);

		elementField=new csoap.wsdl.ElementDesc();
		elementField.setFieldName("class$4");
		elementField.setXmlName(new javax.xml.namespace.QName("","class$4"));
		elementField.setXmlType(new javax.xml.namespace.QName("urn:MSDClientAPIService","Class"));
		typeDesc.addFieldDesc(elementField);

	}

	/**
	* Return type metadata object
	*/
	public static csoap.wsdl.TypeDesc getTypeDesc() {
		return typeDesc;
	}



}
