package org.msda.msd.impl;

public class PluginHandler extends org.apache.ws.jaxme.impl.JMSAXElementParser {
  /** The current state. The following values are valid states:
   *  0 = Before parsing the element
   *  1 = While or after parsing the child element {http://msd.msda.org}Name
   *  2 = While or after parsing the child element {http://msd.msda.org}Creator
   *  3 = While or after parsing the child element {http://msd.msda.org}Transformers
   * 
   */
  private int __state;


  public boolean startElement(java.lang.String pNamespaceURI, java.lang.String pLocalName, java.lang.String pQName, org.xml.sax.Attributes pAttr) throws org.xml.sax.SAXException {
    org.apache.ws.jaxme.impl.JMUnmarshallerHandlerImpl _1 = getHandler();
    switch (__state) {
      case 0:
        if ("http://msd.msda.org".equals(pNamespaceURI)  &&  "Name".equals(pLocalName)) {
          __state = 1;
          _1.addSimpleAtomicState();
          return true;
        }
        break;
      case 1:
        if ("http://msd.msda.org".equals(pNamespaceURI)  &&  "Creator".equals(pLocalName)) {
          __state = 2;
          _1.addSimpleAtomicState();
          return true;
        }
        break;
      case 2:
        if ("http://msd.msda.org".equals(pNamespaceURI)  &&  "Transformers".equals(pLocalName)) {
          __state = 3;
          _1.addSimpleAtomicState();
          return true;
        }
        break;
      case 3:
        if ("http://msd.msda.org".equals(pNamespaceURI)  &&  "Transformers".equals(pLocalName)) {
          __state = 3;
          _1.addSimpleAtomicState();
          return true;
        }
        break;
      default:
        throw new java.lang.IllegalStateException("Invalid state: " + __state);
    }
    return false;
  }

  public void endElement(java.lang.String pNamespaceURI, java.lang.String pLocalName, java.lang.String pQName, java.lang.Object pResult) throws org.xml.sax.SAXException {
    org.msda.msd.Plugin _1 = (org.msda.msd.Plugin) result;
    switch (__state) {
      case 1:
        if ("http://msd.msda.org".equals(pNamespaceURI)  &&  "Name".equals(pLocalName)) {
          _1.setName((java.lang.String) pResult);
          return;
        }
        break;
      case 2:
        if ("http://msd.msda.org".equals(pNamespaceURI)  &&  "Creator".equals(pLocalName)) {
          _1.setCreator((java.lang.String) pResult);
          return;
        }
        break;
      case 3:
        if ("http://msd.msda.org".equals(pNamespaceURI)  &&  "Transformers".equals(pLocalName)) {
          _1.getTransformers().add((java.lang.String) pResult);
          return;
        }
        break;
      default:
        throw new java.lang.IllegalStateException("Illegal state: " + __state);
    }
  }

  public boolean isFinished() {
    switch (__state) {
      case 3:
      case 2:
        return true;
      default:
        return false;
    }
  }


//Type metadata
	private static csoap.wsdl.TypeDesc typeDesc=new csoap.wsdl.TypeDesc(PluginHandler.class);

	static {
		typeDesc.setXmlType(new javax.xml.namespace.QName("urn:MSDClientAPIService","PluginHandler"));
		csoap.wsdl.ElementDesc elementField;

		elementField=new csoap.wsdl.ElementDesc();
		elementField.setFieldName("__state");
		elementField.setXmlName(new javax.xml.namespace.QName("","__state"));
		elementField.setXmlType(new javax.xml.namespace.QName("http://www.w3.org/2001/XMLSchema","int"));
		typeDesc.addFieldDesc(elementField);

	}

	/**
	* Return type metadata object
	*/
	public static csoap.wsdl.TypeDesc getTypeDesc() {
		return typeDesc;
	}



}
