package org.msda.msd.impl;

public class ReqCreationInformationHandler extends org.apache.ws.jaxme.impl.JMSAXElementParser {
  /** The current state. The following values are valid states:
   *  0 = Before parsing the element
   *  1 = While or after parsing the child element {http://msd.msda.org}Date
   *  2 = While or after parsing the child element {http://msd.msda.org}Time
   *  3 = While or after parsing the child element {http://msd.msda.org}Lifetime
   *  4 = While or after parsing the child element {http://msd.msda.org}Creator
   * 
   */
  private int __state;


  public boolean startElement(java.lang.String pNamespaceURI, java.lang.String pLocalName, java.lang.String pQName, org.xml.sax.Attributes pAttr) throws org.xml.sax.SAXException {
    org.apache.ws.jaxme.impl.JMUnmarshallerHandlerImpl _1 = getHandler();
    switch (__state) {
      case 0:
        if ("http://msd.msda.org".equals(pNamespaceURI)  &&  "Date".equals(pLocalName)) {
          __state = 1;
          _1.addSimpleAtomicState();
          return true;
        }
        break;
      case 1:
        if ("http://msd.msda.org".equals(pNamespaceURI)  &&  "Time".equals(pLocalName)) {
          __state = 2;
          _1.addSimpleAtomicState();
          return true;
        }
        break;
      case 2:
        if ("http://msd.msda.org".equals(pNamespaceURI)  &&  "Lifetime".equals(pLocalName)) {
          __state = 3;
          _1.addSimpleAtomicState();
          return true;
        }
        break;
      case 3:
        if ("http://msd.msda.org".equals(pNamespaceURI)  &&  "Creator".equals(pLocalName)) {
          __state = 4;
          org.apache.ws.jaxme.JMManager _2 = getHandler().getJMUnmarshaller().getJAXBContextImpl().getManagerS(org.msda.msd.Creator.class);
          java.lang.Object _3 = _2.getElementS();
          org.apache.ws.jaxme.impl.JMSAXElementParser _4 = _2.getHandler();
          _4.init(_1, _3, "http://msd.msda.org", "Creator", _1.getLevel());
          _4.setAttributes(pAttr);
          _1.addElementParser(_4);
          return true;
        }
        break;
      case 4:
        break;
      default:
        throw new java.lang.IllegalStateException("Invalid state: " + __state);
    }
    return false;
  }

  public void endElement(java.lang.String pNamespaceURI, java.lang.String pLocalName, java.lang.String pQName, java.lang.Object pResult) throws org.xml.sax.SAXException {
    org.msda.msd.ReqCreationInformation _1 = (org.msda.msd.ReqCreationInformation) result;
    switch (__state) {
      case 1:
        if ("http://msd.msda.org".equals(pNamespaceURI)  &&  "Date".equals(pLocalName)) {
          try {
            java.lang.String _2 = (java.lang.String) pResult;
            java.text.ParsePosition _3 = new java.text.ParsePosition(0);
            java.lang.Object _4 = ((org.apache.ws.jaxme.impl.JMUnmarshallerImpl) getHandler().getJMUnmarshaller()).getDateFormat().parseObject(_2, _3);
            if (_4 == null) {
              throw new java.lang.IllegalArgumentException("Failed to parse dateTime " + _2 + " at: " + _2.substring(_3.getErrorIndex()));
            }
            java.util.Calendar _5;
            if (_4 instanceof java.util.Calendar) {
              _5 = (java.util.Calendar) _4;
            } else {
              _5 = java.util.Calendar.getInstance();
              _5.setTime((java.util.Date) _4);
            }
            _1.setDate(_5);
          } catch (java.lang.Exception _6) {
            getHandler().parseConversionEvent("Failed to convert value of {http://msd.msda.org}Date: " + pResult, _6);
          }
          return;
        }
        break;
      case 2:
        if ("http://msd.msda.org".equals(pNamespaceURI)  &&  "Time".equals(pLocalName)) {
          try {
            java.lang.String _7 = (java.lang.String) pResult;
            java.text.ParsePosition _8 = new java.text.ParsePosition(0);
            java.lang.Object _9 = ((org.apache.ws.jaxme.impl.JMUnmarshallerImpl) getHandler().getJMUnmarshaller()).getTimeFormat().parseObject(_7, _8);
            if (_9 == null) {
              throw new java.lang.IllegalArgumentException("Failed to parse dateTime " + _7 + " at: " + _7.substring(_8.getErrorIndex()));
            }
            java.util.Calendar _10;
            if (_9 instanceof java.util.Calendar) {
              _10 = (java.util.Calendar) _9;
            } else {
              _10 = java.util.Calendar.getInstance();
              _10.setTime((java.util.Date) _9);
            }
            _1.setTime(_10);
          } catch (java.lang.Exception _11) {
            getHandler().parseConversionEvent("Failed to convert value of {http://msd.msda.org}Time: " + pResult, _11);
          }
          return;
        }
        break;
      case 3:
        if ("http://msd.msda.org".equals(pNamespaceURI)  &&  "Lifetime".equals(pLocalName)) {
          try {
            _1.setLifetime(getHandler().getDatatypeConverter().parseInteger((java.lang.String) pResult));
          } catch (java.lang.Exception _12) {
            getHandler().parseConversionEvent("Failed to convert value of {http://msd.msda.org}Lifetime: " + pResult, _12);
          }
          return;
        }
        break;
      case 4:
        if ("http://msd.msda.org".equals(pNamespaceURI)  &&  "Creator".equals(pLocalName)) {
          _1.setCreator(((org.msda.msd.Creator) pResult));
          return;
        }
        break;
      default:
        throw new java.lang.IllegalStateException("Illegal state: " + __state);
    }
  }

  public boolean isFinished() {
    switch (__state) {
      case 4:
        return true;
      default:
        return false;
    }
  }


//Type metadata
	private static csoap.wsdl.TypeDesc typeDesc=new csoap.wsdl.TypeDesc(ReqCreationInformationHandler.class);

	static {
		typeDesc.setXmlType(new javax.xml.namespace.QName("urn:MSDClientAPIService","ReqCreationInformationHandler"));
		csoap.wsdl.ElementDesc elementField;

		elementField=new csoap.wsdl.ElementDesc();
		elementField.setFieldName("__state");
		elementField.setXmlName(new javax.xml.namespace.QName("","__state"));
		elementField.setXmlType(new javax.xml.namespace.QName("http://www.w3.org/2001/XMLSchema","int"));
		typeDesc.addFieldDesc(elementField);

		elementField=new csoap.wsdl.ElementDesc();
		elementField.setFieldName("class$0");
		elementField.setXmlName(new javax.xml.namespace.QName("","class$0"));
		elementField.setXmlType(new javax.xml.namespace.QName("urn:MSDClientAPIService","Class"));
		typeDesc.addFieldDesc(elementField);

	}

	/**
	* Return type metadata object
	*/
	public static csoap.wsdl.TypeDesc getTypeDesc() {
		return typeDesc;
	}



}
