/*
 * Created on 21-jul-2005
 *
 * Comments, questions: 
 *	Pierre-Guillaume.Raverdy@inria.fr
 *	Rafik.Chibout@inria.fr
 *
 * INRIA, ARLES Project
 * 2004-2005
 */ 


package org.msda.plugins.osgi;

import java.util.Iterator;
import java.util.Vector;

/**
 * @author conmov
 *
 * TODO To change the template for this generated type comment go to
 * Window - Preferences - Java - Code Style - Code Templates
 */
public class OSGIRequest {
	
	private String deviceType = null;
	private Vector parametersNames = new Vector();
	private Vector parametersValues = new Vector();
	
		
	
	/**
	 * @return Returns the deviceType.
	 */
	public String getDeviceType() {
		return deviceType;
	}
	/**
	 * @param deviceType The deviceType to set.
	 */
	public void setDeviceType(String deviceType) {
		this.deviceType = deviceType;
	}
	
	
	public void addParameter(String name, String value)
	{
		parametersNames.add(name);
		parametersValues.add(value);
	}
	
	
	public String getParameter(String name)
	{
		if (parametersNames.indexOf(name)==-1) return null;
		return (String)parametersValues.elementAt(parametersNames.indexOf(name));
	}
	
	public Iterator getParametersNames()
	{
		return parametersNames.iterator();
	}
	
}
