/*
 * Created on March 22, 2005
 *
 * Comments, questions: 
 *	Pierre-Guillaume.Raverdy@inria.fr
 *	Rafik.Chibout@inria.fr
 *
 * INRIA, ARLES Project
 * 2004-2005
 */ 


package org.msda.plugins.slp;

import java.util.Vector;

import com.solers.slp.ServiceType;


/**
 * @author rafik CHIBOUT
 */

public class SLPRequest {
	
	private ServiceType type;
	private Vector scopes;
	private String searchFilter;

	
	
	/**
	 * @return Returns the scopes.
	 */
	public Vector getScopes() {
		return scopes;
	}
	/**
	 * @param scopes The scopes to set.
	 */
	public void setScopes(Vector scopes) {
		this.scopes = scopes;
	}
	/**
	 * @return Returns the searchFilter.
	 */
	public String getSearchFilter() {
		return searchFilter;
	}
	/**
	 * @param searchFilter The searchFilter to set.
	 */
	public void setSearchFilter(String searchFilter) {
		this.searchFilter = searchFilter;
	}
	/**
	 * @return Returns the type.
	 */
	public ServiceType getType() {
		return type;
	}
	/**
	 * @param type The type to set.
	 */
	public void setType(ServiceType type) {
		this.type = type;
	}
}
