/*
 * Created on March 20, 2005
 *
 * Comments, questions: 
 *	Pierre-Guillaume.Raverdy@inria.fr
 *	Rafik.Chibout@inria.fr
 *
 * INRIA, ARLES Project
 * 2004-2005
 */ 


package org.msda.plugins.upnp;

/**
 * @author rafik CHIBOUT
 */
public class UPnPDeviceDescription {
	boolean root = true;
    String xmlns="urn:schemas-upnp-org:device-1-0"; 
	UPnPSpecVersion specVersion = new UPnPSpecVersion();
	String urlBase ="";
	String deviceType="";
	String friendlyName="";
	String manufacturer="";
	String manufacturerURL="";
	String modelDescription="";
	String modelName="";
	String modelNumber="";
	String modelURL="";
	String serialNumber="";
	String UDN="";
	String UPC="";
	UPnPIcon[] iconList = null;
	UPnPServiceDescription[] serviceList= null;
	UPnPDeviceDescription[] embeddedDeviceList = null;
	/**
	 * @return Returns the deviceType.
	 */
	public String getDeviceType() {
		return deviceType;
	}
	/**
	 * @param deviceType The deviceType to set.
	 */
	public void setDeviceType(String deviceType) {
		this.deviceType = deviceType;
	}
	/**
	 * @return Returns the embeddedDeviceList.
	 */
	public UPnPDeviceDescription[] getEmbeddedDeviceList() {
		return embeddedDeviceList;
	}
	/**
	 * @param embeddedDeviceList The embeddedDeviceList to set.
	 */
	public void setEmbeddedDeviceList(UPnPDeviceDescription[] embeddedDeviceList) {
		this.embeddedDeviceList = embeddedDeviceList;
	}
	/**
	 * @return Returns the friendlyName.
	 */
	public String getFriendlyName() {
		return friendlyName;
	}
	/**
	 * @param friendlyName The friendlyName to set.
	 */
	public void setFriendlyName(String friendlyName) {
		this.friendlyName = friendlyName;
	}
	/**
	 * @return Returns the iconList.
	 */
	public UPnPIcon[] getIconList() {
		return iconList;
	}
	/**
	 * @param iconList The iconList to set.
	 */
	public void setIconList(UPnPIcon[] iconList) {
		this.iconList = iconList;
	}
	/**
	 * @return Returns the manufacturer.
	 */
	public String getManufacturer() {
		return manufacturer;
	}
	/**
	 * @param manufacturer The manufacturer to set.
	 */
	public void setManufacturer(String manufacturer) {
		this.manufacturer = manufacturer;
	}
	/**
	 * @return Returns the manufacturerURL.
	 */
	public String getManufacturerURL() {
		return manufacturerURL;
	}
	/**
	 * @param manufacturerURL The manufacturerURL to set.
	 */
	public void setManufacturerURL(String manufacturerURL) {
		this.manufacturerURL = manufacturerURL;
	}
	/**
	 * @return Returns the modelDescription.
	 */
	public String getModelDescription() {
		return modelDescription;
	}
	/**
	 * @param modelDescription The modelDescription to set.
	 */
	public void setModelDescription(String modelDescription) {
		this.modelDescription = modelDescription;
	}
	/**
	 * @return Returns the modelName.
	 */
	public String getModelName() {
		return modelName;
	}
	/**
	 * @param modelName The modelName to set.
	 */
	public void setModelName(String modelName) {
		this.modelName = modelName;
	}
	/**
	 * @return Returns the modelNumber.
	 */
	public String getModelNumber() {
		return modelNumber;
	}
	/**
	 * @param modelNumber The modelNumber to set.
	 */
	public void setModelNumber(String modelNumber) {
		this.modelNumber = modelNumber;
	}
	/**
	 * @return Returns the modelURL.
	 */
	public String getModelURL() {
		return modelURL;
	}
	/**
	 * @param modelURL The modelURL to set.
	 */
	public void setModelURL(String modelURL) {
		this.modelURL = modelURL;
	}
	/**
	 * @return Returns the root.
	 */
	public boolean isRoot() {
		return root;
	}
	/**
	 * @param root The root to set.
	 */
	public void setRoot(boolean root) {
		this.root = root;
	}
	/**
	 * @return Returns the serialNumber.
	 */
	public String getSerialNumber() {
		return serialNumber;
	}
	/**
	 * @param serialNumber The serialNumber to set.
	 */
	public void setSerialNumber(String serialNumber) {
		this.serialNumber = serialNumber;
	}
	/**
	 * @return Returns the serviceList.
	 */
	public UPnPServiceDescription[] getServiceList() {
		return serviceList;
	}
	/**
	 * @param serviceList The serviceList to set.
	 */
	public void setServiceList(UPnPServiceDescription[] serviceList) {
		this.serviceList = serviceList;
	}
	/**
	 * @return Returns the specVersion.
	 */
	public UPnPSpecVersion getSpecVersion() {
		return specVersion;
	}
	/**
	 * @param specVersion The specVersion to set.
	 */
	public void setSpecVersion(UPnPSpecVersion specVersion) {
		this.specVersion = specVersion;
	}
	/**
	 * @return Returns the uDN.
	 */
	public String getUDN() {
		return UDN;
	}
	/**
	 * @param udn The uDN to set.
	 */
	public void setUDN(String udn) {
		UDN = udn;
	}
	/**
	 * @return Returns the uPC.
	 */
	public String getUPC() {
		return UPC;
	}
	/**
	 * @param upc The uPC to set.
	 */
	public void setUPC(String upc) {
		UPC = upc;
	}
	/**
	 * @return Returns the urlBase.
	 */
	public String getUrlBase() {
		return urlBase;
	}
	/**
	 * @param urlBase The urlBase to set.
	 */
	public void setUrlBase(String urlBase) {
		this.urlBase = urlBase;
	}
	/**
	 * @return Returns the xmlns.
	 */
	public String getXmlns() {
		return xmlns;
	}
	/**
	 * @param xmlns The xmlns to set.
	 */
	public void setXmlns(String xmlns) {
		this.xmlns = xmlns;
	}
}
