package org.msda.clientsamples.slp.movie;
import csoap.xml.rpc.CallImpl;
import javax.xml.namespace.QName;
import javax.xml.rpc.encoding.XMLType;
import javax.xml.rpc.ParameterMode;
import javax.xml.rpc.encoding.SerializerFactory;
import javax.xml.rpc.encoding.DeserializerFactory;
public class MovieSOAPBindingStub implements MovieInterface {

	Object obj=null;

	CallImpl call=new CallImpl();

	String addr;
	String MSDServiceAddr;
	int clientID = -1;

	public MovieSOAPBindingStub(String ServiceAddress, String MSDAddress, int clientID) 
	{
		addr=ServiceAddress;
		MSDServiceAddr = MSDAddress+"/serviceaccess";
		this.clientID = clientID;
	}


	public MovieSOAPBindingStub(java.net.URL url,javax.xml.rpc.Service service) {
		addr=url.toString();
	}

	public void getMovies(java.lang.String title, java.lang.String actor, java.lang.String director, int flag, org.msda.clientsamples.slp.movie.holders.ArrayOfIntHolder movieID, org.msda.clientsamples.slp.movie.holders.ArrayOfStringHolder movieList) throws java.rmi.RemoteException {
		call.removeAllParameters();
		call.setProperty("clientid", (new Integer(clientID)).toString());
		call.setProperty("epservice", addr);
		call.setOperationName(new QName("urn:MovieService","getMovies"));
		try {
			obj = java.lang.reflect.Array.newInstance(Class.forName("java.lang.String"),1);
			call.registerTypeMapping(obj.getClass(),new QName("urn:MovieService","ArrayOfString"),new csoap.xml.rpc.encoding.SerializerArrayFactory(obj.getClass(),new QName("urn:MovieService","ArrayOfString")),new csoap.xml.rpc.encoding.DeserializerArrayFactory(obj.getClass(),new QName("urn:MovieService","ArrayOfString")));
			obj = java.lang.reflect.Array.newInstance(Class.forName("java.util.Calendar"),1);
			call.registerTypeMapping(obj.getClass(),new QName("urn:MovieService","ArrayOfDateTime"),new csoap.xml.rpc.encoding.SerializerArrayFactory(obj.getClass(),new QName("urn:MovieService","ArrayOfDateTime")),new csoap.xml.rpc.encoding.DeserializerArrayFactory(obj.getClass(),new QName("urn:MovieService","ArrayOfDateTime")));
			obj = java.lang.reflect.Array.newInstance(int.class,1);
			call.registerTypeMapping(obj.getClass(),new QName("urn:MovieService","ArrayOfInt"),new csoap.xml.rpc.encoding.SerializerArrayFactory(obj.getClass(),new QName("urn:MovieService","ArrayOfInt")),new csoap.xml.rpc.encoding.DeserializerArrayFactory(obj.getClass(),new QName("urn:MovieService","ArrayOfInt")));
		}
		catch (ClassNotFoundException e) {e.printStackTrace();}
		call.addParameter("movieID",new QName("urn:MovieService","ArrayOfInt"),ParameterMode.OUT);
		call.addParameter("movieList",new QName("urn:MovieService","ArrayOfString"),ParameterMode.OUT);
		call.addParameter("title",new QName("http://www.w3.org/2001/XMLSchema","string"),ParameterMode.IN);
		call.addParameter("actor",new QName("http://www.w3.org/2001/XMLSchema","string"),ParameterMode.IN);
		call.addParameter("director",new QName("http://www.w3.org/2001/XMLSchema","string"),ParameterMode.IN);
		call.addParameter("flag",new QName("http://www.w3.org/2001/XMLSchema","int"),ParameterMode.IN);
		call.setTargetEndpointAddress(MSDServiceAddr);
		java.lang.Object resp=call.invoke(new Object[]{title,actor,director,new java.lang.Integer(flag)});
		if (resp instanceof java.rmi.RemoteException) {
			throw (java.rmi.RemoteException)resp;
		}
		else {
			java.util.Map output;
			output=call.getOutputParams();
			try {
				movieID.value=(int[]) output.get("movieID");
			}
			catch (java.lang.Exception exception) {
				throw (java.rmi.RemoteException)exception;
			}
			try {
				movieList.value=(java.lang.String[]) output.get("movieList");
			}
			catch (java.lang.Exception exception) {
				throw (java.rmi.RemoteException)exception;
			}
		}
	}

	public java.lang.String getMovieTrailer(int movieID) throws java.rmi.RemoteException {
		call.removeAllParameters();
		call.setProperty("clientid", (new Integer(clientID)).toString());
		call.setProperty("epservice", addr);
		call.setOperationName(new QName("urn:MovieService","getMovieTrailer"));
		try {
			obj = java.lang.reflect.Array.newInstance(Class.forName("java.lang.String"),1);
			call.registerTypeMapping(obj.getClass(),new QName("urn:MovieService","ArrayOfString"),new csoap.xml.rpc.encoding.SerializerArrayFactory(obj.getClass(),new QName("urn:MovieService","ArrayOfString")),new csoap.xml.rpc.encoding.DeserializerArrayFactory(obj.getClass(),new QName("urn:MovieService","ArrayOfString")));
			obj = java.lang.reflect.Array.newInstance(Class.forName("java.util.Calendar"),1);
			call.registerTypeMapping(obj.getClass(),new QName("urn:MovieService","ArrayOfDateTime"),new csoap.xml.rpc.encoding.SerializerArrayFactory(obj.getClass(),new QName("urn:MovieService","ArrayOfDateTime")),new csoap.xml.rpc.encoding.DeserializerArrayFactory(obj.getClass(),new QName("urn:MovieService","ArrayOfDateTime")));
			obj = java.lang.reflect.Array.newInstance(int.class,1);
			call.registerTypeMapping(obj.getClass(),new QName("urn:MovieService","ArrayOfInt"),new csoap.xml.rpc.encoding.SerializerArrayFactory(obj.getClass(),new QName("urn:MovieService","ArrayOfInt")),new csoap.xml.rpc.encoding.DeserializerArrayFactory(obj.getClass(),new QName("urn:MovieService","ArrayOfInt")));
		}
		catch (ClassNotFoundException e) {e.printStackTrace();}
		call.setReturnType(new QName("http://www.w3.org/2001/XMLSchema","string"));
		//call.setReturnQName(new QName("","trailerURL"));
		call.addParameter("movieID",new QName("http://www.w3.org/2001/XMLSchema","int"),ParameterMode.IN);
		call.setTargetEndpointAddress(MSDServiceAddr);
		java.lang.Object resp=call.invoke(new Object[]{new java.lang.Integer(movieID)});
		return (java.lang.String)  resp;
	}

	public java.lang.String getAudioCriticisms(int movieID) throws java.rmi.RemoteException {
		call.removeAllParameters();
		call.setProperty("clientid", (new Integer(clientID)).toString());
		call.setProperty("epservice", addr);
		call.setOperationName(new QName("urn:MovieService","getAudioCriticisms"));
		try {
			obj = java.lang.reflect.Array.newInstance(Class.forName("java.lang.String"),1);
			call.registerTypeMapping(obj.getClass(),new QName("urn:MovieService","ArrayOfString"),new csoap.xml.rpc.encoding.SerializerArrayFactory(obj.getClass(),new QName("urn:MovieService","ArrayOfString")),new csoap.xml.rpc.encoding.DeserializerArrayFactory(obj.getClass(),new QName("urn:MovieService","ArrayOfString")));
			obj = java.lang.reflect.Array.newInstance(Class.forName("java.util.Calendar"),1);
			call.registerTypeMapping(obj.getClass(),new QName("urn:MovieService","ArrayOfDateTime"),new csoap.xml.rpc.encoding.SerializerArrayFactory(obj.getClass(),new QName("urn:MovieService","ArrayOfDateTime")),new csoap.xml.rpc.encoding.DeserializerArrayFactory(obj.getClass(),new QName("urn:MovieService","ArrayOfDateTime")));
			obj = java.lang.reflect.Array.newInstance(int.class,1);
			call.registerTypeMapping(obj.getClass(),new QName("urn:MovieService","ArrayOfInt"),new csoap.xml.rpc.encoding.SerializerArrayFactory(obj.getClass(),new QName("urn:MovieService","ArrayOfInt")),new csoap.xml.rpc.encoding.DeserializerArrayFactory(obj.getClass(),new QName("urn:MovieService","ArrayOfInt")));
		}
		catch (ClassNotFoundException e) {e.printStackTrace();}
		call.setReturnType(new QName("http://www.w3.org/2001/XMLSchema","string"));
		//call.setReturnQName(new QName("","audioURL"));
		call.addParameter("movieID",new QName("http://www.w3.org/2001/XMLSchema","int"),ParameterMode.IN);
		call.setTargetEndpointAddress(MSDServiceAddr);
		java.lang.Object resp=call.invoke(new Object[]{new java.lang.Integer(movieID)});
		return (java.lang.String)  resp;
	}

	public java.lang.String getTextCriticisms(int movieID) throws java.rmi.RemoteException {
		call.removeAllParameters();
		call.setProperty("clientid", (new Integer(clientID)).toString());
		call.setProperty("epservice", addr);
		call.setOperationName(new QName("urn:MovieService","getTextCriticisms"));
		try {
			obj = java.lang.reflect.Array.newInstance(Class.forName("java.lang.String"),1);
			call.registerTypeMapping(obj.getClass(),new QName("urn:MovieService","ArrayOfString"),new csoap.xml.rpc.encoding.SerializerArrayFactory(obj.getClass(),new QName("urn:MovieService","ArrayOfString")),new csoap.xml.rpc.encoding.DeserializerArrayFactory(obj.getClass(),new QName("urn:MovieService","ArrayOfString")));
			obj = java.lang.reflect.Array.newInstance(Class.forName("java.util.Calendar"),1);
			call.registerTypeMapping(obj.getClass(),new QName("urn:MovieService","ArrayOfDateTime"),new csoap.xml.rpc.encoding.SerializerArrayFactory(obj.getClass(),new QName("urn:MovieService","ArrayOfDateTime")),new csoap.xml.rpc.encoding.DeserializerArrayFactory(obj.getClass(),new QName("urn:MovieService","ArrayOfDateTime")));
			obj = java.lang.reflect.Array.newInstance(int.class,1);
			call.registerTypeMapping(obj.getClass(),new QName("urn:MovieService","ArrayOfInt"),new csoap.xml.rpc.encoding.SerializerArrayFactory(obj.getClass(),new QName("urn:MovieService","ArrayOfInt")),new csoap.xml.rpc.encoding.DeserializerArrayFactory(obj.getClass(),new QName("urn:MovieService","ArrayOfInt")));
		}
		catch (ClassNotFoundException e) {e.printStackTrace();}
		call.setReturnType(new QName("http://www.w3.org/2001/XMLSchema","string"));
		//call.setReturnQName(new QName("","text"));
		call.addParameter("movieID",new QName("http://www.w3.org/2001/XMLSchema","int"),ParameterMode.IN);
		call.setTargetEndpointAddress(MSDServiceAddr);
		java.lang.Object resp=call.invoke(new Object[]{new java.lang.Integer(movieID)});
		return (java.lang.String)  resp;
	}

	public void getMovieInfo(int movieID, java.util.Calendar fromDate, java.util.Calendar fromTime, java.util.Calendar toDate, java.util.Calendar toTime, org.msda.clientsamples.slp.movie.holders.ArrayOfIntHolder scheduleIDList, org.msda.clientsamples.slp.movie.holders.ArrayOfStringHolder cityList, org.msda.clientsamples.slp.movie.holders.ArrayOfStringHolder addressList, org.msda.clientsamples.slp.movie.holders.ArrayOfIntHolder roomList, org.msda.clientsamples.slp.movie.holders.ArrayOfDateTimeHolder dateList, org.msda.clientsamples.slp.movie.holders.ArrayOfDateTimeHolder timeList) throws java.rmi.RemoteException {
		call.removeAllParameters();
		call.setProperty("clientid", (new Integer(clientID)).toString());
		call.setProperty("epservice", addr);
		call.setOperationName(new QName("urn:MovieService","getMovieInfo"));
		try {
			obj = java.lang.reflect.Array.newInstance(Class.forName("java.lang.String"),1);
			call.registerTypeMapping(obj.getClass(),new QName("urn:MovieService","ArrayOfString"),new csoap.xml.rpc.encoding.SerializerArrayFactory(obj.getClass(),new QName("urn:MovieService","ArrayOfString")),new csoap.xml.rpc.encoding.DeserializerArrayFactory(obj.getClass(),new QName("urn:MovieService","ArrayOfString")));
			obj = java.lang.reflect.Array.newInstance(Class.forName("java.util.Calendar"),1);
			call.registerTypeMapping(obj.getClass(),new QName("urn:MovieService","ArrayOfDateTime"),new csoap.xml.rpc.encoding.SerializerArrayFactory(obj.getClass(),new QName("urn:MovieService","ArrayOfDateTime")),new csoap.xml.rpc.encoding.DeserializerArrayFactory(obj.getClass(),new QName("urn:MovieService","ArrayOfDateTime")));
			obj = java.lang.reflect.Array.newInstance(int.class,1);
			call.registerTypeMapping(obj.getClass(),new QName("urn:MovieService","ArrayOfInt"),new csoap.xml.rpc.encoding.SerializerArrayFactory(obj.getClass(),new QName("urn:MovieService","ArrayOfInt")),new csoap.xml.rpc.encoding.DeserializerArrayFactory(obj.getClass(),new QName("urn:MovieService","ArrayOfInt")));
		}
		catch (ClassNotFoundException e) {e.printStackTrace();}
		call.addParameter("scheduleIDList",new QName("urn:MovieService","ArrayOfInt"),ParameterMode.OUT);
		call.addParameter("cityList",new QName("urn:MovieService","ArrayOfString"),ParameterMode.OUT);
		call.addParameter("addressList",new QName("urn:MovieService","ArrayOfString"),ParameterMode.OUT);
		call.addParameter("roomList",new QName("urn:MovieService","ArrayOfInt"),ParameterMode.OUT);
		call.addParameter("dateList",new QName("urn:MovieService","ArrayOfDateTime"),ParameterMode.OUT);
		call.addParameter("timeList",new QName("urn:MovieService","ArrayOfDateTime"),ParameterMode.OUT);
		call.addParameter("movieID",new QName("http://www.w3.org/2001/XMLSchema","int"),ParameterMode.IN);
		call.addParameter("fromDate",new QName("http://www.w3.org/2001/XMLSchema","dateTime"),ParameterMode.IN);
		call.addParameter("fromTime",new QName("http://www.w3.org/2001/XMLSchema","dateTime"),ParameterMode.IN);
		call.addParameter("toDate",new QName("http://www.w3.org/2001/XMLSchema","dateTime"),ParameterMode.IN);
		call.addParameter("toTime",new QName("http://www.w3.org/2001/XMLSchema","dateTime"),ParameterMode.IN);
		call.setTargetEndpointAddress(MSDServiceAddr);
		java.lang.Object resp=call.invoke(new Object[]{new java.lang.Integer(movieID),fromDate,fromTime,toDate,toTime});
		if (resp instanceof java.rmi.RemoteException) {
			throw (java.rmi.RemoteException)resp;
		}
		else {
			java.util.Map output;
			output=call.getOutputParams();
			try {
				scheduleIDList.value=(int[]) output.get("scheduleIDList");
			}
			catch (java.lang.Exception exception) {
				throw (java.rmi.RemoteException)exception;
			}
			try {
				cityList.value=(java.lang.String[]) output.get("cityList");
			}
			catch (java.lang.Exception exception) {
				throw (java.rmi.RemoteException)exception;
			}
			try {
				addressList.value=(java.lang.String[]) output.get("addressList");
			}
			catch (java.lang.Exception exception) {
				throw (java.rmi.RemoteException)exception;
			}
			try {
				roomList.value=(int[]) output.get("roomList");
			}
			catch (java.lang.Exception exception) {
				throw (java.rmi.RemoteException)exception;
			}
			try {
				dateList.value=(java.util.Calendar[]) output.get("dateList");
			}
			catch (java.lang.Exception exception) {
				throw (java.rmi.RemoteException)exception;
			}
			try {
				timeList.value=(java.util.Calendar[]) output.get("timeList");
			}
			catch (java.lang.Exception exception) {
				throw (java.rmi.RemoteException)exception;
			}
		}
	}

	public int bookTicket(java.lang.String firstName, java.lang.String lastName, int scheduleID, int numSeats) throws java.rmi.RemoteException {
		call.removeAllParameters();
		call.setProperty("clientid", (new Integer(clientID)).toString());
		call.setProperty("epservice", addr);
		call.setOperationName(new QName("urn:MovieService","bookTicket"));
		try {
			obj = java.lang.reflect.Array.newInstance(Class.forName("java.lang.String"),1);
			call.registerTypeMapping(obj.getClass(),new QName("urn:MovieService","ArrayOfString"),new csoap.xml.rpc.encoding.SerializerArrayFactory(obj.getClass(),new QName("urn:MovieService","ArrayOfString")),new csoap.xml.rpc.encoding.DeserializerArrayFactory(obj.getClass(),new QName("urn:MovieService","ArrayOfString")));
			obj = java.lang.reflect.Array.newInstance(Class.forName("java.util.Calendar"),1);
			call.registerTypeMapping(obj.getClass(),new QName("urn:MovieService","ArrayOfDateTime"),new csoap.xml.rpc.encoding.SerializerArrayFactory(obj.getClass(),new QName("urn:MovieService","ArrayOfDateTime")),new csoap.xml.rpc.encoding.DeserializerArrayFactory(obj.getClass(),new QName("urn:MovieService","ArrayOfDateTime")));
			obj = java.lang.reflect.Array.newInstance(int.class,1);
			call.registerTypeMapping(obj.getClass(),new QName("urn:MovieService","ArrayOfInt"),new csoap.xml.rpc.encoding.SerializerArrayFactory(obj.getClass(),new QName("urn:MovieService","ArrayOfInt")),new csoap.xml.rpc.encoding.DeserializerArrayFactory(obj.getClass(),new QName("urn:MovieService","ArrayOfInt")));
		}
		catch (ClassNotFoundException e) {e.printStackTrace();}
		call.setReturnType(new QName("http://www.w3.org/2001/XMLSchema","int"));
		//call.setReturnQName(new QName("","bookingKey"));
		call.addParameter("firstName",new QName("http://www.w3.org/2001/XMLSchema","string"),ParameterMode.IN);
		call.addParameter("lastName",new QName("http://www.w3.org/2001/XMLSchema","string"),ParameterMode.IN);
		call.addParameter("scheduleID",new QName("http://www.w3.org/2001/XMLSchema","int"),ParameterMode.IN);
		call.addParameter("numSeats",new QName("http://www.w3.org/2001/XMLSchema","int"),ParameterMode.IN);
		call.setTargetEndpointAddress(MSDServiceAddr);
		java.lang.Object resp=call.invoke(new Object[]{firstName,lastName,new java.lang.Integer(scheduleID),new java.lang.Integer(numSeats)});
		return ((java.lang.Integer) resp).intValue();
	}

}