/*
 * Created on Feb 18, 2005
 *
 * INRIA, ARLES Project
 * 
 * contact: Pierre-Guillaume.Raverdy@inria.fr<br>
 *          Rafik.Chibout@inria.fr
 * 
 * Copyright INRIA 2005
 */
package org.msda.clientsamples.upnp;



import com.siemens.upnp.controlpoint.UPnPSearchResponseListener;


/**
 * @author rafik CHIBOUT
 */
public class UPnPSearchResponseListenerImpl implements UPnPSearchResponseListener
{
  private DeviceDesc device;	
	
	public UPnPSearchResponseListenerImpl(DeviceDesc device)
	{
		this.device =device;
	}
	public void newDeviceSearchResponse(java.lang.String uuid, java.lang.String type,
		       java.lang.String descriptionURL)
	{
		System.out.println("A device is found");
		System.out.println("uuid="+uuid);
		System.out.println("type="+type);
		System.out.println("descriptionURL="+descriptionURL);
		device.setDescriptionURL(descriptionURL);
		device.setType(type);
		device.setUuid(uuid);
		
	}
	
	public void newServiceSearchResponse(java.lang.String uuid, java.lang.String type,
		       java.lang.String descriptionURL) 
	{
		System.out.println("A Service is found");
		System.out.println("uuid="+uuid);
		System.out.println("type="+type);
		System.out.println("descriptionURL="+descriptionURL);
		device.setDescriptionURL(descriptionURL);
		device.setType(type);
		device.setUuid(uuid);
			
	}

	public void searchTimeout(int searchID)
	{
		
	}
		
	
	
}
