/**
 *
 * MSDClientAPIBindingStub.java
 *
 * @author Rafik CHIBOUT 
 * 
 * 
 */

package org.msda.MSDClientAPIService;

import csoap.xml.rpc.CallImpl;
import javax.xml.namespace.QName;
import javax.xml.rpc.ParameterMode;



public class MSDClientAPIBindingStub implements MSDClientAPIPortType 
{
	String addr;
	Object obj=null;
	CallImpl call=new CallImpl();

	/**
	 * 
	 * @param ServiceAddress
	 */
	public MSDClientAPIBindingStub(String ServiceAddress) 
	{
		addr=ServiceAddress;
	}

	/**
	 * 
	 * @param url
	 * @param service
	 */
	public MSDClientAPIBindingStub(java.net.URL url,javax.xml.rpc.Service service) {
		addr=url.toString();
	}

	/**
	 * 
	 * @see org.msda.MSDClientAPIService.MSDClientAPIPortType#getServices(org.msda.msd.impl.MSDRequestImpl)
	 */
	public org.msda.msd.impl.MSDDescriptionImpl[] getServices(org.msda.msd.impl.MSDRequestImpl MSDReq)  {
		call.removeAllParameters();
		call.setOperationName(new QName("urn:MSDClientAPIService","getServices"));
		try {
			obj = java.lang.reflect.Array.newInstance(Class.forName("org.msda.msd.impl.MSDDescriptionImpl"),1);
			call.registerTypeMapping(obj.getClass(),new QName("urn:MSDClientAPIService","ArrayOfMSDDescription"),new csoap.xml.rpc.encoding.SerializerArrayFactory(obj.getClass(),new QName("urn:MSDClientAPIService","ArrayOfMSDDescription")),new csoap.xml.rpc.encoding.DeserializerArrayFactory(obj.getClass(),new QName("urn:MSDClientAPIService","ArrayOfMSDDescription")));
			
			call.registerTypeMapping(Class.forName("org.msda.msd.impl.AddressImpl"),new QName("urn:MSDClientAPIService","Address"),new csoap.xml.rpc.encoding.SerializerComplexTypeFactory(Class.forName("org.msda.msd.impl.AddressImpl"),new QName("urn:MSDClientAPIService","Address")),new csoap.xml.rpc.encoding.DeserializerComplexTypeFactory(Class.forName("org.msda.msd.impl.AddressImpl"),new QName("urn:MSDClientAPIService","Address")));
			call.registerTypeMapping(Class.forName("org.msda.msd.impl.AttributeImpl"),new QName("urn:MSDClientAPIService","Attribute"),new csoap.xml.rpc.encoding.SerializerComplexTypeFactory(Class.forName("org.msda.msd.impl.AttributeImpl"),new QName("urn:MSDClientAPIService","Attribute")),new csoap.xml.rpc.encoding.DeserializerComplexTypeFactory(Class.forName("org.msda.msd.impl.AttributeImpl"),new QName("urn:MSDClientAPIService","Attribute")));
			call.registerTypeMapping(Class.forName("org.msda.msd.impl.BindingImpl"),new QName("urn:MSDClientAPIService","Binding"),new csoap.xml.rpc.encoding.SerializerComplexTypeFactory(Class.forName("org.msda.msd.impl.BindingImpl"),new QName("urn:MSDClientAPIService","Binding")),new csoap.xml.rpc.encoding.DeserializerComplexTypeFactory(Class.forName("org.msda.msd.impl.BindingImpl"),new QName("urn:MSDClientAPIService","Binding")));
			call.registerTypeMapping(Class.forName("org.msda.msd.impl.CombinationNodeImpl"),new QName("urn:MSDClientAPIService","CombinationNode"),new csoap.xml.rpc.encoding.SerializerComplexTypeFactory(Class.forName("org.msda.msd.impl.CombinationNodeImpl"),new QName("urn:MSDClientAPIService","CombinationNode")),new csoap.xml.rpc.encoding.DeserializerComplexTypeFactory(Class.forName("org.msda.msd.impl.CombinationNodeImpl"),new QName("urn:MSDClientAPIService","CombinationNode")));
			call.registerTypeMapping(Class.forName("org.msda.msd.impl.ComparisonNodeImpl"),new QName("urn:MSDClientAPIService","ComparisonNode"),new csoap.xml.rpc.encoding.SerializerComplexTypeFactory(Class.forName("org.msda.msd.impl.ComparisonNodeImpl"),new QName("urn:MSDClientAPIService","ComparisonNode")),new csoap.xml.rpc.encoding.DeserializerComplexTypeFactory(Class.forName("org.msda.msd.impl.ComparisonNodeImpl"),new QName("urn:MSDClientAPIService","ComparisonNode")));
			call.registerTypeMapping(Class.forName("org.msda.msd.impl.ContextElementImpl"),new QName("urn:MSDClientAPIService","ContextElement"),new csoap.xml.rpc.encoding.SerializerComplexTypeFactory(Class.forName("org.msda.msd.impl.ContextElementImpl"),new QName("urn:MSDClientAPIService","ContextElement")),new csoap.xml.rpc.encoding.DeserializerComplexTypeFactory(Class.forName("org.msda.msd.impl.ContextElementImpl"),new QName("urn:MSDClientAPIService","ContextElement")));
			call.registerTypeMapping(Class.forName("org.msda.msd.impl.ContextInformationImpl"),new QName("urn:MSDClientAPIService","ContextInformation"),new csoap.xml.rpc.encoding.SerializerComplexTypeFactory(Class.forName("org.msda.msd.impl.ContextInformationImpl"),new QName("urn:MSDClientAPIService","ContextInformation")),new csoap.xml.rpc.encoding.DeserializerComplexTypeFactory(Class.forName("org.msda.msd.impl.ContextInformationImpl"),new QName("urn:MSDClientAPIService","ContextInformation")));
			call.registerTypeMapping(Class.forName("org.msda.msd.impl.ContextInformationTableImpl"),new QName("urn:MSDClientAPIService","ContextInformationTable"),new csoap.xml.rpc.encoding.SerializerComplexTypeFactory(Class.forName("org.msda.msd.impl.ContextInformationTableImpl"),new QName("urn:MSDClientAPIService","ContextInformationTable")),new csoap.xml.rpc.encoding.DeserializerComplexTypeFactory(Class.forName("org.msda.msd.impl.ContextInformationTableImpl"),new QName("urn:MSDClientAPIService","ContextInformationTable")));
			call.registerTypeMapping(Class.forName("org.msda.msd.impl.ContextNodeImpl"),new QName("urn:MSDClientAPIService","ContextNode"),new csoap.xml.rpc.encoding.SerializerComplexTypeFactory(Class.forName("org.msda.msd.impl.ContextNodeImpl"),new QName("urn:MSDClientAPIService","ContextNode")),new csoap.xml.rpc.encoding.DeserializerComplexTypeFactory(Class.forName("org.msda.msd.impl.ContextNodeImpl"),new QName("urn:MSDClientAPIService","ContextNode")));
			call.registerTypeMapping(Class.forName("org.msda.msd.impl.ContextRulesImpl"),new QName("urn:MSDClientAPIService","ContextRules"),new csoap.xml.rpc.encoding.SerializerComplexTypeFactory(Class.forName("org.msda.msd.impl.ContextRulesImpl"),new QName("urn:MSDClientAPIService","ContextRules")),new csoap.xml.rpc.encoding.DeserializerComplexTypeFactory(Class.forName("org.msda.msd.impl.ContextRulesImpl"),new QName("urn:MSDClientAPIService","ContextRules")));
			call.registerTypeMapping(Class.forName("org.msda.msd.impl.ContextRulesTreeImpl"),new QName("urn:MSDClientAPIService","ContextRulesTree"),new csoap.xml.rpc.encoding.SerializerComplexTypeFactory(Class.forName("org.msda.msd.impl.ContextRulesTreeImpl"),new QName("urn:MSDClientAPIService","ContextRulesTree")),new csoap.xml.rpc.encoding.DeserializerComplexTypeFactory(Class.forName("org.msda.msd.impl.ContextRulesTreeImpl"),new QName("urn:MSDClientAPIService","ContextRulesTree")));
			call.registerTypeMapping(Class.forName("org.msda.msd.impl.ControlMessageImpl"),new QName("urn:MSDClientAPIService","ControlMessage"),new csoap.xml.rpc.encoding.SerializerComplexTypeFactory(Class.forName("org.msda.msd.impl.ControlMessageImpl"),new QName("urn:MSDClientAPIService","ControlMessage")),new csoap.xml.rpc.encoding.DeserializerComplexTypeFactory(Class.forName("org.msda.msd.impl.ControlMessageImpl"),new QName("urn:MSDClientAPIService","ControlMessage")));
			call.registerTypeMapping(Class.forName("org.msda.msd.impl.CreationInformationImpl"),new QName("urn:MSDClientAPIService","CreationInformation"),new csoap.xml.rpc.encoding.SerializerComplexTypeFactory(Class.forName("org.msda.msd.impl.CreationInformationImpl"),new QName("urn:MSDClientAPIService","CreationInformation")),new csoap.xml.rpc.encoding.DeserializerComplexTypeFactory(Class.forName("org.msda.msd.impl.CreationInformationImpl"),new QName("urn:MSDClientAPIService","CreationInformation")));
			call.registerTypeMapping(Class.forName("org.msda.msd.impl.CreatorImpl"),new QName("urn:MSDClientAPIService","Creator"),new csoap.xml.rpc.encoding.SerializerComplexTypeFactory(Class.forName("org.msda.msd.impl.CreatorImpl"),new QName("urn:MSDClientAPIService","Creator")),new csoap.xml.rpc.encoding.DeserializerComplexTypeFactory(Class.forName("org.msda.msd.impl.CreatorImpl"),new QName("urn:MSDClientAPIService","Creator")));
			call.registerTypeMapping(Class.forName("org.msda.msd.impl.CtxStartupImpl"),new QName("urn:MSDClientAPIService","CtxStartup"),new csoap.xml.rpc.encoding.SerializerComplexTypeFactory(Class.forName("org.msda.msd.impl.CtxStartupImpl"),new QName("urn:MSDClientAPIService","CtxStartup")),new csoap.xml.rpc.encoding.DeserializerComplexTypeFactory(Class.forName("org.msda.msd.impl.CtxStartupImpl"),new QName("urn:MSDClientAPIService","CtxStartup")));
			call.registerTypeMapping(Class.forName("org.msda.msd.impl.DeviceConfigImpl"),new QName("urn:MSDClientAPIService","DeviceConfig"),new csoap.xml.rpc.encoding.SerializerComplexTypeFactory(Class.forName("org.msda.msd.impl.DeviceConfigImpl"),new QName("urn:MSDClientAPIService","DeviceConfig")),new csoap.xml.rpc.encoding.DeserializerComplexTypeFactory(Class.forName("org.msda.msd.impl.DeviceConfigImpl"),new QName("urn:MSDClientAPIService","DeviceConfig")));
			call.registerTypeMapping(Class.forName("org.msda.msd.impl.FrameworkConfigImpl"),new QName("urn:MSDClientAPIService","FrameworkConfig"),new csoap.xml.rpc.encoding.SerializerComplexTypeFactory(Class.forName("org.msda.msd.impl.FrameworkConfigImpl"),new QName("urn:MSDClientAPIService","FrameworkConfig")),new csoap.xml.rpc.encoding.DeserializerComplexTypeFactory(Class.forName("org.msda.msd.impl.FrameworkConfigImpl"),new QName("urn:MSDClientAPIService","FrameworkConfig")));
			call.registerTypeMapping(Class.forName("org.msda.msd.impl.GenericImpl"),new QName("urn:MSDClientAPIService","Generic"),new csoap.xml.rpc.encoding.SerializerComplexTypeFactory(Class.forName("org.msda.msd.impl.GenericImpl"),new QName("urn:MSDClientAPIService","Generic")),new csoap.xml.rpc.encoding.DeserializerComplexTypeFactory(Class.forName("org.msda.msd.impl.GenericImpl"),new QName("urn:MSDClientAPIService","Generic")));
			call.registerTypeMapping(Class.forName("org.msda.msd.impl.HopImpl"),new QName("urn:MSDClientAPIService","Hop"),new csoap.xml.rpc.encoding.SerializerComplexTypeFactory(Class.forName("org.msda.msd.impl.HopImpl"),new QName("urn:MSDClientAPIService","Hop")),new csoap.xml.rpc.encoding.DeserializerComplexTypeFactory(Class.forName("org.msda.msd.impl.HopImpl"),new QName("urn:MSDClientAPIService","Hop")));
			call.registerTypeMapping(Class.forName("org.msda.msd.impl.InformationComponentImpl"),new QName("urn:MSDClientAPIService","InformationComponent"),new csoap.xml.rpc.encoding.SerializerComplexTypeFactory(Class.forName("org.msda.msd.impl.InformationComponentImpl"),new QName("urn:MSDClientAPIService","InformationComponent")),new csoap.xml.rpc.encoding.DeserializerComplexTypeFactory(Class.forName("org.msda.msd.impl.InformationComponentImpl"),new QName("urn:MSDClientAPIService","InformationComponent")));
			call.registerTypeMapping(Class.forName("org.msda.msd.impl.LocationImpl"),new QName("urn:MSDClientAPIService","Location"),new csoap.xml.rpc.encoding.SerializerComplexTypeFactory(Class.forName("org.msda.msd.impl.LocationImpl"),new QName("urn:MSDClientAPIService","Location")),new csoap.xml.rpc.encoding.DeserializerComplexTypeFactory(Class.forName("org.msda.msd.impl.LocationImpl"),new QName("urn:MSDClientAPIService","Location")));
			call.registerTypeMapping(Class.forName("org.msda.msd.impl.ManagerConfigImpl"),new QName("urn:MSDClientAPIService","ManagerConfig"),new csoap.xml.rpc.encoding.SerializerComplexTypeFactory(Class.forName("org.msda.msd.impl.ManagerConfigImpl"),new QName("urn:MSDClientAPIService","ManagerConfig")),new csoap.xml.rpc.encoding.DeserializerComplexTypeFactory(Class.forName("org.msda.msd.impl.ManagerConfigImpl"),new QName("urn:MSDClientAPIService","ManagerConfig")));
			call.registerTypeMapping(Class.forName("org.msda.msd.impl.MessageContentImpl"),new QName("urn:MSDClientAPIService","MessageContent"),new csoap.xml.rpc.encoding.SerializerComplexTypeFactory(Class.forName("org.msda.msd.impl.MessageContentImpl"),new QName("urn:MSDClientAPIService","MessageContent")),new csoap.xml.rpc.encoding.DeserializerComplexTypeFactory(Class.forName("org.msda.msd.impl.MessageContentImpl"),new QName("urn:MSDClientAPIService","MessageContent")));
			call.registerTypeMapping(Class.forName("org.msda.msd.impl.MetaInformationImpl"),new QName("urn:MSDClientAPIService","MetaInformation"),new csoap.xml.rpc.encoding.SerializerComplexTypeFactory(Class.forName("org.msda.msd.impl.MetaInformationImpl"),new QName("urn:MSDClientAPIService","MetaInformation")),new csoap.xml.rpc.encoding.DeserializerComplexTypeFactory(Class.forName("org.msda.msd.impl.MetaInformationImpl"),new QName("urn:MSDClientAPIService","MetaInformation")));
			call.registerTypeMapping(Class.forName("org.msda.msd.impl.MethodImpl"),new QName("urn:MSDClientAPIService","Method"),new csoap.xml.rpc.encoding.SerializerComplexTypeFactory(Class.forName("org.msda.msd.impl.MethodImpl"),new QName("urn:MSDClientAPIService","Method")),new csoap.xml.rpc.encoding.DeserializerComplexTypeFactory(Class.forName("org.msda.msd.impl.MethodImpl"),new QName("urn:MSDClientAPIService","Method")));
			call.registerTypeMapping(Class.forName("org.msda.msd.impl.MSDDescImpl"),new QName("urn:MSDClientAPIService","MSDDesc"),new csoap.xml.rpc.encoding.SerializerComplexTypeFactory(Class.forName("org.msda.msd.impl.MSDDescImpl"),new QName("urn:MSDClientAPIService","MSDDesc")),new csoap.xml.rpc.encoding.DeserializerComplexTypeFactory(Class.forName("org.msda.msd.impl.MSDDescImpl"),new QName("urn:MSDClientAPIService","MSDDesc")));
			call.registerTypeMapping(Class.forName("org.msda.msd.impl.MSDDescriptionImpl"),new QName("urn:MSDClientAPIService","MSDDescription"),new csoap.xml.rpc.encoding.SerializerComplexTypeFactory(Class.forName("org.msda.msd.impl.MSDDescriptionImpl"),new QName("urn:MSDClientAPIService","MSDDescription")),new csoap.xml.rpc.encoding.DeserializerComplexTypeFactory(Class.forName("org.msda.msd.impl.MSDDescriptionImpl"),new QName("urn:MSDClientAPIService","MSDDescription")));
			call.registerTypeMapping(Class.forName("org.msda.msd.impl.MSDMessageImpl"),new QName("urn:MSDClientAPIService","MSDMessage"),new csoap.xml.rpc.encoding.SerializerComplexTypeFactory(Class.forName("org.msda.msd.impl.MSDMessageImpl"),new QName("urn:MSDClientAPIService","MSDMessage")),new csoap.xml.rpc.encoding.DeserializerComplexTypeFactory(Class.forName("org.msda.msd.impl.MSDMessageImpl"),new QName("urn:MSDClientAPIService","MSDMessage")));
			call.registerTypeMapping(Class.forName("org.msda.msd.impl.MSDRequestImpl"),new QName("urn:MSDClientAPIService","MSDRequest"),new csoap.xml.rpc.encoding.SerializerComplexTypeFactory(Class.forName("org.msda.msd.impl.MSDRequestImpl"),new QName("urn:MSDClientAPIService","MSDRequest")),new csoap.xml.rpc.encoding.DeserializerComplexTypeFactory(Class.forName("org.msda.msd.impl.MSDRequestImpl"),new QName("urn:MSDClientAPIService","MSDRequest")));
			call.registerTypeMapping(Class.forName("org.msda.msd.impl.NetCtxStartupImpl"),new QName("urn:MSDClientAPIService","NetCtxStartup"),new csoap.xml.rpc.encoding.SerializerComplexTypeFactory(Class.forName("org.msda.msd.impl.NetCtxStartupImpl"),new QName("urn:MSDClientAPIService","NetCtxStartup")),new csoap.xml.rpc.encoding.DeserializerComplexTypeFactory(Class.forName("org.msda.msd.impl.NetCtxStartupImpl"),new QName("urn:MSDClientAPIService","NetCtxStartup")));
			call.registerTypeMapping(Class.forName("org.msda.msd.impl.NetworkConfigImpl"),new QName("urn:MSDClientAPIService","NetworkConfig"),new csoap.xml.rpc.encoding.SerializerComplexTypeFactory(Class.forName("org.msda.msd.impl.NetworkConfigImpl"),new QName("urn:MSDClientAPIService","NetworkConfig")),new csoap.xml.rpc.encoding.DeserializerComplexTypeFactory(Class.forName("org.msda.msd.impl.NetworkConfigImpl"),new QName("urn:MSDClientAPIService","NetworkConfig")));
			call.registerTypeMapping(Class.forName("org.msda.msd.impl.OriginalImpl"),new QName("urn:MSDClientAPIService","Original"),new csoap.xml.rpc.encoding.SerializerComplexTypeFactory(Class.forName("org.msda.msd.impl.OriginalImpl"),new QName("urn:MSDClientAPIService","Original")),new csoap.xml.rpc.encoding.DeserializerComplexTypeFactory(Class.forName("org.msda.msd.impl.OriginalImpl"),new QName("urn:MSDClientAPIService","Original")));
			call.registerTypeMapping(Class.forName("org.msda.msd.impl.ParamImpl"),new QName("urn:MSDClientAPIService","Param"),new csoap.xml.rpc.encoding.SerializerComplexTypeFactory(Class.forName("org.msda.msd.impl.ParamImpl"),new QName("urn:MSDClientAPIService","Param")),new csoap.xml.rpc.encoding.DeserializerComplexTypeFactory(Class.forName("org.msda.msd.impl.ParamImpl"),new QName("urn:MSDClientAPIService","Param")));
			call.registerTypeMapping(Class.forName("org.msda.msd.impl.PlatformStartupImpl"),new QName("urn:MSDClientAPIService","PlatformStartup"),new csoap.xml.rpc.encoding.SerializerComplexTypeFactory(Class.forName("org.msda.msd.impl.PlatformStartupImpl"),new QName("urn:MSDClientAPIService","PlatformStartup")),new csoap.xml.rpc.encoding.DeserializerComplexTypeFactory(Class.forName("org.msda.msd.impl.PlatformStartupImpl"),new QName("urn:MSDClientAPIService","PlatformStartup")));
			call.registerTypeMapping(Class.forName("org.msda.msd.impl.PlatformStartupTypeImpl"),new QName("urn:MSDClientAPIService","PlatformStartupType"),new csoap.xml.rpc.encoding.SerializerComplexTypeFactory(Class.forName("org.msda.msd.impl.PlatformStartupTypeImpl"),new QName("urn:MSDClientAPIService","PlatformStartupType")),new csoap.xml.rpc.encoding.DeserializerComplexTypeFactory(Class.forName("org.msda.msd.impl.PlatformStartupTypeImpl"),new QName("urn:MSDClientAPIService","PlatformStartupType")));
			call.registerTypeMapping(Class.forName("org.msda.msd.impl.PluginDefImpl"),new QName("urn:MSDClientAPIService","PluginDef"),new csoap.xml.rpc.encoding.SerializerComplexTypeFactory(Class.forName("org.msda.msd.impl.PluginDefImpl"),new QName("urn:MSDClientAPIService","PluginDef")),new csoap.xml.rpc.encoding.DeserializerComplexTypeFactory(Class.forName("org.msda.msd.impl.PluginDefImpl"),new QName("urn:MSDClientAPIService","PluginDef")));
			call.registerTypeMapping(Class.forName("org.msda.msd.impl.PluginImpl"),new QName("urn:MSDClientAPIService","Plugin"),new csoap.xml.rpc.encoding.SerializerComplexTypeFactory(Class.forName("org.msda.msd.impl.PluginImpl"),new QName("urn:MSDClientAPIService","Plugin")),new csoap.xml.rpc.encoding.DeserializerComplexTypeFactory(Class.forName("org.msda.msd.impl.PluginImpl"),new QName("urn:MSDClientAPIService","Plugin")));
//			call.registerTypeMapping(Class.forName("org.msda.msd.impl.PropagationRulesImpl"),new QName("urn:MSDClientAPIService","PropagationRules"),new csoap.xml.rpc.encoding.SerializerComplexTypeFactory(Class.forName("org.msda.msd.impl.PropagationRulesImpl"),new QName("urn:MSDClientAPIService","PropagationRules")),new csoap.xml.rpc.encoding.DeserializerComplexTypeFactory(Class.forName("org.msda.msd.impl.PropagationRulesImpl"),new QName("urn:MSDClientAPIService","PropagationRules")));
			call.registerTypeMapping(Class.forName("org.msda.msd.impl.PropagationInformationImpl"),new QName("urn:MSDClientAPIService","PropagationInformation"),new csoap.xml.rpc.encoding.SerializerComplexTypeFactory(Class.forName("org.msda.msd.impl.PropagationInformationImpl"),new QName("urn:MSDClientAPIService","PropagationInformation")),new csoap.xml.rpc.encoding.DeserializerComplexTypeFactory(Class.forName("org.msda.msd.impl.PropagationInformationImpl"),new QName("urn:MSDClientAPIService","PropagationInformation")));
			call.registerTypeMapping(Class.forName("org.msda.msd.impl.ReqCreationInformationImpl"),new QName("urn:MSDClientAPIService","ReqCreationInformation"),new csoap.xml.rpc.encoding.SerializerComplexTypeFactory(Class.forName("org.msda.msd.impl.ReqCreationInformationImpl"),new QName("urn:MSDClientAPIService","ReqCreationInformation")),new csoap.xml.rpc.encoding.DeserializerComplexTypeFactory(Class.forName("org.msda.msd.impl.ReqCreationInformationImpl"),new QName("urn:MSDClientAPIService","ReqCreationInformation")));
			call.registerTypeMapping(Class.forName("org.msda.msd.impl.ReqDescriptionInformationImpl"),new QName("urn:MSDClientAPIService","ReqDescriptionInformation"),new csoap.xml.rpc.encoding.SerializerComplexTypeFactory(Class.forName("org.msda.msd.impl.ReqDescriptionInformationImpl"),new QName("urn:MSDClientAPIService","ReqDescriptionInformation")),new csoap.xml.rpc.encoding.DeserializerComplexTypeFactory(Class.forName("org.msda.msd.impl.ReqDescriptionInformationImpl"),new QName("urn:MSDClientAPIService","ReqDescriptionInformation")));
			call.registerTypeMapping(Class.forName("org.msda.msd.impl.ReqProcessingInformationImpl"),new QName("urn:MSDClientAPIService","ReqProcessingInformation"),new csoap.xml.rpc.encoding.SerializerComplexTypeFactory(Class.forName("org.msda.msd.impl.ReqProcessingInformationImpl"),new QName("urn:MSDClientAPIService","ReqProcessingInformation")),new csoap.xml.rpc.encoding.DeserializerComplexTypeFactory(Class.forName("org.msda.msd.impl.ReqProcessingInformationImpl"),new QName("urn:MSDClientAPIService","ReqProcessingInformation")));
			call.registerTypeMapping(Class.forName("org.msda.msd.impl.RequestServiceImpl"),new QName("urn:MSDClientAPIService","RequestService"),new csoap.xml.rpc.encoding.SerializerComplexTypeFactory(Class.forName("org.msda.msd.impl.RequestServiceImpl"),new QName("urn:MSDClientAPIService","RequestService")),new csoap.xml.rpc.encoding.DeserializerComplexTypeFactory(Class.forName("org.msda.msd.impl.RequestServiceImpl"),new QName("urn:MSDClientAPIService","RequestService")));
			call.registerTypeMapping(Class.forName("org.msda.msd.impl.ResponseInformationImpl"),new QName("urn:MSDClientAPIService","ResponseInformation"),new csoap.xml.rpc.encoding.SerializerComplexTypeFactory(Class.forName("org.msda.msd.impl.ResponseInformationImpl"),new QName("urn:MSDClientAPIService","ResponseInformation")),new csoap.xml.rpc.encoding.DeserializerComplexTypeFactory(Class.forName("org.msda.msd.impl.ResponseInformationImpl"),new QName("urn:MSDClientAPIService","ResponseInformation")));
			call.registerTypeMapping(Class.forName("org.msda.msd.impl.SecurityParamsImpl"),new QName("urn:MSDClientAPIService","SecurityParams"),new csoap.xml.rpc.encoding.SerializerComplexTypeFactory(Class.forName("org.msda.msd.impl.SecurityParamsImpl"),new QName("urn:MSDClientAPIService","SecurityParams")),new csoap.xml.rpc.encoding.DeserializerComplexTypeFactory(Class.forName("org.msda.msd.impl.SecurityParamsImpl"),new QName("urn:MSDClientAPIService","SecurityParams")));
			call.registerTypeMapping(Class.forName("org.msda.msd.impl.ServiceAccessImpl"),new QName("urn:MSDClientAPIService","ServiceAccess"),new csoap.xml.rpc.encoding.SerializerComplexTypeFactory(Class.forName("org.msda.msd.impl.ServiceAccessImpl"),new QName("urn:MSDClientAPIService","ServiceAccess")),new csoap.xml.rpc.encoding.DeserializerComplexTypeFactory(Class.forName("org.msda.msd.impl.ServiceAccessImpl"),new QName("urn:MSDClientAPIService","ServiceAccess")));
			call.registerTypeMapping(Class.forName("org.msda.msd.impl.ServiceDefinitionImpl"),new QName("urn:MSDClientAPIService","ServiceDefinition"),new csoap.xml.rpc.encoding.SerializerComplexTypeFactory(Class.forName("org.msda.msd.impl.ServiceDefinitionImpl"),new QName("urn:MSDClientAPIService","ServiceDefinition")),new csoap.xml.rpc.encoding.DeserializerComplexTypeFactory(Class.forName("org.msda.msd.impl.ServiceDefinitionImpl"),new QName("urn:MSDClientAPIService","ServiceDefinition")));
			call.registerTypeMapping(Class.forName("org.msda.msd.impl.ServiceMessageImpl"),new QName("urn:MSDClientAPIService","ServiceMessage"),new csoap.xml.rpc.encoding.SerializerComplexTypeFactory(Class.forName("org.msda.msd.impl.ServiceMessageImpl"),new QName("urn:MSDClientAPIService","ServiceMessage")),new csoap.xml.rpc.encoding.DeserializerComplexTypeFactory(Class.forName("org.msda.msd.impl.ServiceMessageImpl"),new QName("urn:MSDClientAPIService","ServiceMessage")));
			call.registerTypeMapping(Class.forName("org.msda.msd.impl.TypeValueImpl"),new QName("urn:MSDClientAPIService","TypeValue"),new csoap.xml.rpc.encoding.SerializerComplexTypeFactory(Class.forName("org.msda.msd.impl.TypeValueImpl"),new QName("urn:MSDClientAPIService","TypeValue")),new csoap.xml.rpc.encoding.DeserializerComplexTypeFactory(Class.forName("org.msda.msd.impl.TypeValueImpl"),new QName("urn:MSDClientAPIService","TypeValue")));
			call.registerTypeMapping(Class.forName("org.msda.msd.impl.UbisecIDImpl"),new QName("urn:MSDClientAPIService","UbisecID"),new csoap.xml.rpc.encoding.SerializerComplexTypeFactory(Class.forName("org.msda.msd.impl.UbisecIDImpl"),new QName("urn:MSDClientAPIService","UbisecID")),new csoap.xml.rpc.encoding.DeserializerComplexTypeFactory(Class.forName("org.msda.msd.impl.UbisecIDImpl"),new QName("urn:MSDClientAPIService","UbisecID")));
		}
		catch (ClassNotFoundException e) {e.printStackTrace();}
		call.setReturnType(new QName("urn:MSDClientAPIService","ArrayOfMSDDescription"));
		//call.setReturnQName(new QName("","MSDDescs"));
		call.addParameter("MSDReq",new QName("urn:MSDClientAPIService","MSDRequest"),ParameterMode.IN);
		call.setTargetEndpointAddress(addr);
		return (org.msda.msd.impl.MSDDescriptionImpl[])call.invoke(new Object[]{MSDReq});
	}

	/**
	 * 
	 * @see org.msda.MSDClientAPIService.MSDClientAPIPortType#serviceAccess(java.lang.String)
	 */
	public java.lang.String serviceAccess(java.lang.String SOAPReq)  {
		call.removeAllParameters();
		call.setOperationName(new QName("urn:MSDClientAPIService","serviceAccess"));
		call.setReturnType(new QName("http://www.w3.org/2001/XMLSchema","string"));
		//call.setReturnQName(new QName("","SOAPResp"));
		call.addParameter("SOAPReq",new QName("http://www.w3.org/2001/XMLSchema","string"),ParameterMode.IN);
		call.setTargetEndpointAddress(addr);
		java.lang.Object resp=call.invoke(new Object[]{SOAPReq});
		return (java.lang.String)  resp;
	}
	           
}