/*
 * Created on Sep 19, 2005
 *
 * Comments, questions: 
 *	Pierre-Guillaume.Raverdy@inria.fr
 *	Rafik.Chibout@inria.fr
 *
 * INRIA, ARLES Project
 * 2004-2005
 */ 


package org.msda.components.manager;

import java.util.List;


/**
 * Object used to keep the information required to provide service access  
 * 
 * @author agnes.de_la_chapelle@inria.fr - INRIA ARLES
 *
 */
public class SvcAccessCacheObject {

    private List propagation;
    private String pluginName;
    private long creationTime;
    
    public SvcAccessCacheObject() {
        this.creationTime = System.currentTimeMillis();
    }
    
    /**
     * @return Returns the pluginName.
     */
    public String getPluginName() {
        return pluginName;
    }
    /**
     * @param pluginName The pluginName to set.
     */
    public void setPluginName(String pluginName) {
        this.pluginName = pluginName;
    }
    /**
     * @return Returns the propagation.
     */
    public List getPropagation() {
        return propagation;
    }
    /**
     * @param propagation The propagation to set.
     */
    public void setPropagation(List propagation) {
        this.propagation = propagation;
    }
    /**
     * @return Returns the creationTime.
     */
    public long getCreationTime() {
        return creationTime;
    }
}
