/*
 * Created on Jul 4, 2005
 *
 * Comments, questions: 
 *	Pierre-Guillaume.Raverdy@inria.fr
 *	Rafik.Chibout@inria.fr
 *
 * INRIA, ARLES Project
 * 2004-2005
 */ 


package org.msda.components.manager.object;

/**
 * Common object used in a blocking queue 
 * 
 * @author agnes.de_la_chapelle@inria.fr - INRIA ARLES
 *
 */
public class Object4Queue {

    public static final int SERVICE_ACCESS = 1;
    public static final int REMOTE_ACCESS = 2;
    public static final int LOCAL_REQUEST = 3;
    public static final int REMOTE_REQUEST = 4;
    public static final int REMOTE_REQUEST4RESULT = 5;
    public static final int PLUGIN = 6;
    
    private int type;
    private int index;
    
    /**
     * @return Returns the type.
     */
    public int getType() {
        return type;
    }
    /**
     * @param type The type to set.
     */
    public void setType(int type) {
        this.type = type;
    }
    
    /**
     * @return Returns the index.
     */
    public int getIndex() {
        return index;
    }
    /**
     * @param index The index to set.
     */
    public void setIndex(int index) {
        this.index = index;
    }
}
