/*
 * Created on March 4, 2005
 *
 * Comments, questions: 
 *	Pierre-Guillaume.Raverdy@inria.fr
 *	Rafik.Chibout@inria.fr
 *
 * INRIA, ARLES Project
 * 2004-2005
 */ 


package org.msda.components.plugins.http;

/**
 * @author rafik CHIBOUT
 */
public class MessageProcess implements Runnable {
	private Thread process;
	private httpHolder message;
	private HTTPListener listener;
	
	/**
	 * 
	 * @param message
	 * @param listener
	 */
	public MessageProcess(httpHolder message, HTTPListener listener)
	{
		this.message = message;
		this.listener = listener;
		process = new Thread(this);
		process.start();
	}
	
	/**
	 * 
	 * @see java.lang.Runnable#run()
	 */
	public void run() {
		listener.newHttpMessage(message);
	}
}
