/*
 * Created on May 17, 2005
 *
 * Comments, questions: 
 *	Pierre-Guillaume.Raverdy@inria.fr
 *	Rafik.Chibout@inria.fr
 *
 * INRIA, ARLES Project
 * 2004-2005
 */ 


package org.msda.gui.bridge;

import java.awt.BorderLayout;
import java.awt.Label;
import java.awt.Panel;

import org.msda.gui.BridgeGUI;

/**
 * The toolbarPanel for the bridge.
 * 
 * @author agnes.de_la_chapelle@inria.fr - INRIA ARLES
 *
 */
public class ToolbarPanel extends Panel {

    private BridgeGUI gui;
    private Label label;
    
    /**
     * Constructor.
     * 
     * @param gui
     */
    public ToolbarPanel( BridgeGUI gui ) {
        
        this.gui = gui;
        
        label = new Label( "Bridge" );
        label.setSize( getSize() );
        add( label, BorderLayout.CENTER );
    }
    
    public void addTitle( String title ) {
        
        label.setText( title );
        label.setSize( getSize() );
        repaint();
    }
}
