package org.msda.msd.impl;

public class CreationInformationHandler extends org.apache.ws.jaxme.impl.JMSAXElementParser {
  /** The current state. The following values are valid states:
   *  0 = Before parsing the element
   *  1 = While or after parsing the child element {http://msd.msda.org}CreaDate
   *  2 = While or after parsing the child element {http://msd.msda.org}CreaTime
   *  3 = While or after parsing the child element {http://msd.msda.org}UpdDate
   *  4 = While or after parsing the child element {http://msd.msda.org}UpdTime
   *  5 = While or after parsing the child element {http://msd.msda.org}UpdNb
   *  6 = While or after parsing the child element {http://msd.msda.org}Lifetime
   *  7 = While or after parsing the child element {http://msd.msda.org}Creator
   *  8 = While or after parsing the child element {http://msd.msda.org}Plugin
   * 
   */
  private int __state;


  public boolean startElement(java.lang.String pNamespaceURI, java.lang.String pLocalName, java.lang.String pQName, org.xml.sax.Attributes pAttr) throws org.xml.sax.SAXException {
    org.apache.ws.jaxme.impl.JMUnmarshallerHandlerImpl _1 = getHandler();
    switch (__state) {
      case 0:
        if ("http://msd.msda.org".equals(pNamespaceURI)  &&  "CreaDate".equals(pLocalName)) {
          __state = 1;
          _1.addSimpleAtomicState();
          return true;
        }
        break;
      case 1:
        if ("http://msd.msda.org".equals(pNamespaceURI)  &&  "CreaTime".equals(pLocalName)) {
          __state = 2;
          _1.addSimpleAtomicState();
          return true;
        }
        break;
      case 2:
        if ("http://msd.msda.org".equals(pNamespaceURI)  &&  "UpdDate".equals(pLocalName)) {
          __state = 3;
          _1.addSimpleAtomicState();
          return true;
        }
        break;
      case 3:
        if ("http://msd.msda.org".equals(pNamespaceURI)  &&  "UpdTime".equals(pLocalName)) {
          __state = 4;
          _1.addSimpleAtomicState();
          return true;
        }
        break;
      case 4:
        if ("http://msd.msda.org".equals(pNamespaceURI)  &&  "UpdNb".equals(pLocalName)) {
          __state = 5;
          _1.addSimpleAtomicState();
          return true;
        }
        break;
      case 5:
        if ("http://msd.msda.org".equals(pNamespaceURI)  &&  "Lifetime".equals(pLocalName)) {
          __state = 6;
          _1.addSimpleAtomicState();
          return true;
        }
        break;
      case 6:
        if ("http://msd.msda.org".equals(pNamespaceURI)  &&  "Creator".equals(pLocalName)) {
          __state = 7;
          org.apache.ws.jaxme.JMManager _2 = getHandler().getJMUnmarshaller().getJAXBContextImpl().getManagerS(org.msda.msd.Creator.class);
          java.lang.Object _3 = _2.getElementS();
          org.apache.ws.jaxme.impl.JMSAXElementParser _4 = _2.getHandler();
          _4.init(_1, _3, "http://msd.msda.org", "Creator", _1.getLevel());
          _4.setAttributes(pAttr);
          _1.addElementParser(_4);
          return true;
        }
        break;
      case 7:
        if ("http://msd.msda.org".equals(pNamespaceURI)  &&  "Plugin".equals(pLocalName)) {
          __state = 8;
          org.apache.ws.jaxme.JMManager _5 = getHandler().getJMUnmarshaller().getJAXBContextImpl().getManagerS(org.msda.msd.Plugin.class);
          java.lang.Object _6 = _5.getElementS();
          org.apache.ws.jaxme.impl.JMSAXElementParser _7 = _5.getHandler();
          _7.init(_1, _6, "http://msd.msda.org", "Plugin", _1.getLevel());
          _7.setAttributes(pAttr);
          _1.addElementParser(_7);
          return true;
        }
        break;
      case 8:
        break;
      default:
        throw new java.lang.IllegalStateException("Invalid state: " + __state);
    }
    return false;
  }

  public void endElement(java.lang.String pNamespaceURI, java.lang.String pLocalName, java.lang.String pQName, java.lang.Object pResult) throws org.xml.sax.SAXException {
    org.msda.msd.CreationInformation _1 = (org.msda.msd.CreationInformation) result;
    switch (__state) {
      case 1:
        if ("http://msd.msda.org".equals(pNamespaceURI)  &&  "CreaDate".equals(pLocalName)) {
          try {
            java.lang.String _2 = (java.lang.String) pResult;
            java.text.ParsePosition _3 = new java.text.ParsePosition(0);
            java.lang.Object _4 = ((org.apache.ws.jaxme.impl.JMUnmarshallerImpl) getHandler().getJMUnmarshaller()).getDateFormat().parseObject(_2, _3);
            if (_4 == null) {
              throw new java.lang.IllegalArgumentException("Failed to parse dateTime " + _2 + " at: " + _2.substring(_3.getErrorIndex()));
            }
            java.util.Calendar _5;
            if (_4 instanceof java.util.Calendar) {
              _5 = (java.util.Calendar) _4;
            } else {
              _5 = java.util.Calendar.getInstance();
              _5.setTime((java.util.Date) _4);
            }
            _1.setCreaDate(_5);
          } catch (java.lang.Exception _6) {
            getHandler().parseConversionEvent("Failed to convert value of {http://msd.msda.org}CreaDate: " + pResult, _6);
          }
          return;
        }
        break;
      case 2:
        if ("http://msd.msda.org".equals(pNamespaceURI)  &&  "CreaTime".equals(pLocalName)) {
          try {
            java.lang.String _7 = (java.lang.String) pResult;
            java.text.ParsePosition _8 = new java.text.ParsePosition(0);
            java.lang.Object _9 = ((org.apache.ws.jaxme.impl.JMUnmarshallerImpl) getHandler().getJMUnmarshaller()).getTimeFormat().parseObject(_7, _8);
            if (_9 == null) {
              throw new java.lang.IllegalArgumentException("Failed to parse dateTime " + _7 + " at: " + _7.substring(_8.getErrorIndex()));
            }
            java.util.Calendar _10;
            if (_9 instanceof java.util.Calendar) {
              _10 = (java.util.Calendar) _9;
            } else {
              _10 = java.util.Calendar.getInstance();
              _10.setTime((java.util.Date) _9);
            }
            _1.setCreaTime(_10);
          } catch (java.lang.Exception _11) {
            getHandler().parseConversionEvent("Failed to convert value of {http://msd.msda.org}CreaTime: " + pResult, _11);
          }
          return;
        }
        break;
      case 3:
        if ("http://msd.msda.org".equals(pNamespaceURI)  &&  "UpdDate".equals(pLocalName)) {
          try {
            java.lang.String _12 = (java.lang.String) pResult;
            java.text.ParsePosition _13 = new java.text.ParsePosition(0);
            java.lang.Object _14 = ((org.apache.ws.jaxme.impl.JMUnmarshallerImpl) getHandler().getJMUnmarshaller()).getDateFormat().parseObject(_12, _13);
            if (_14 == null) {
              throw new java.lang.IllegalArgumentException("Failed to parse dateTime " + _12 + " at: " + _12.substring(_13.getErrorIndex()));
            }
            java.util.Calendar _15;
            if (_14 instanceof java.util.Calendar) {
              _15 = (java.util.Calendar) _14;
            } else {
              _15 = java.util.Calendar.getInstance();
              _15.setTime((java.util.Date) _14);
            }
            _1.setUpdDate(_15);
          } catch (java.lang.Exception _16) {
            getHandler().parseConversionEvent("Failed to convert value of {http://msd.msda.org}UpdDate: " + pResult, _16);
          }
          return;
        }
        break;
      case 4:
        if ("http://msd.msda.org".equals(pNamespaceURI)  &&  "UpdTime".equals(pLocalName)) {
          try {
            java.lang.String _17 = (java.lang.String) pResult;
            java.text.ParsePosition _18 = new java.text.ParsePosition(0);
            java.lang.Object _19 = ((org.apache.ws.jaxme.impl.JMUnmarshallerImpl) getHandler().getJMUnmarshaller()).getTimeFormat().parseObject(_17, _18);
            if (_19 == null) {
              throw new java.lang.IllegalArgumentException("Failed to parse dateTime " + _17 + " at: " + _17.substring(_18.getErrorIndex()));
            }
            java.util.Calendar _20;
            if (_19 instanceof java.util.Calendar) {
              _20 = (java.util.Calendar) _19;
            } else {
              _20 = java.util.Calendar.getInstance();
              _20.setTime((java.util.Date) _19);
            }
            _1.setUpdTime(_20);
          } catch (java.lang.Exception _21) {
            getHandler().parseConversionEvent("Failed to convert value of {http://msd.msda.org}UpdTime: " + pResult, _21);
          }
          return;
        }
        break;
      case 5:
        if ("http://msd.msda.org".equals(pNamespaceURI)  &&  "UpdNb".equals(pLocalName)) {
          try {
            _1.setUpdNb(getHandler().getDatatypeConverter().parseInteger((java.lang.String) pResult));
          } catch (java.lang.Exception _22) {
            getHandler().parseConversionEvent("Failed to convert value of {http://msd.msda.org}UpdNb: " + pResult, _22);
          }
          return;
        }
        break;
      case 6:
        if ("http://msd.msda.org".equals(pNamespaceURI)  &&  "Lifetime".equals(pLocalName)) {
          try {
            _1.setLifetime(getHandler().getDatatypeConverter().parseInteger((java.lang.String) pResult));
          } catch (java.lang.Exception _23) {
            getHandler().parseConversionEvent("Failed to convert value of {http://msd.msda.org}Lifetime: " + pResult, _23);
          }
          return;
        }
        break;
      case 7:
        if ("http://msd.msda.org".equals(pNamespaceURI)  &&  "Creator".equals(pLocalName)) {
          _1.setCreator(((org.msda.msd.Creator) pResult));
          return;
        }
        break;
      case 8:
        if ("http://msd.msda.org".equals(pNamespaceURI)  &&  "Plugin".equals(pLocalName)) {
          _1.setPlugin(((org.msda.msd.Plugin) pResult));
          return;
        }
        break;
      default:
        throw new java.lang.IllegalStateException("Illegal state: " + __state);
    }
  }

  public boolean isFinished() {
    switch (__state) {
      case 8:
        return true;
      default:
        return false;
    }
  }


//Type metadata
	private static csoap.wsdl.TypeDesc typeDesc=new csoap.wsdl.TypeDesc(CreationInformationHandler.class);

	static {
		typeDesc.setXmlType(new javax.xml.namespace.QName("urn:MSDClientAPIService","CreationInformationHandler"));
		csoap.wsdl.ElementDesc elementField;

		elementField=new csoap.wsdl.ElementDesc();
		elementField.setFieldName("__state");
		elementField.setXmlName(new javax.xml.namespace.QName("","__state"));
		elementField.setXmlType(new javax.xml.namespace.QName("http://www.w3.org/2001/XMLSchema","int"));
		typeDesc.addFieldDesc(elementField);

		elementField=new csoap.wsdl.ElementDesc();
		elementField.setFieldName("class$0");
		elementField.setXmlName(new javax.xml.namespace.QName("","class$0"));
		elementField.setXmlType(new javax.xml.namespace.QName("urn:MSDClientAPIService","Class"));
		typeDesc.addFieldDesc(elementField);

		elementField=new csoap.wsdl.ElementDesc();
		elementField.setFieldName("class$1");
		elementField.setXmlName(new javax.xml.namespace.QName("","class$1"));
		elementField.setXmlType(new javax.xml.namespace.QName("urn:MSDClientAPIService","Class"));
		typeDesc.addFieldDesc(elementField);

	}

	/**
	* Return type metadata object
	*/
	public static csoap.wsdl.TypeDesc getTypeDesc() {
		return typeDesc;
	}



}
