package org.msda.msd.impl;

public class HopHandler extends org.apache.ws.jaxme.impl.JMSAXElementParser {
  /** The current state. The following values are valid states:
   *  0 = Before parsing the element
   *  1 = While or after parsing the child element {http://msd.msda.org}Time
   *  2 = While or after parsing the child element {http://msd.msda.org}BridgeID
   *  3 = While or after parsing the child element {http://msd.msda.org}SrcNetID
   *  4 = While or after parsing the child element {http://msd.msda.org}DestNetID
   *  5 = While or after parsing the child element {http://msd.msda.org}Security
   * 
   */
  private int __state;


  public boolean startElement(java.lang.String pNamespaceURI, java.lang.String pLocalName, java.lang.String pQName, org.xml.sax.Attributes pAttr) throws org.xml.sax.SAXException {
    org.apache.ws.jaxme.impl.JMUnmarshallerHandlerImpl _1 = getHandler();
    switch (__state) {
      case 0:
        if ("http://msd.msda.org".equals(pNamespaceURI)  &&  "Time".equals(pLocalName)) {
          __state = 1;
          _1.addSimpleAtomicState();
          return true;
        }
        break;
      case 1:
        if ("http://msd.msda.org".equals(pNamespaceURI)  &&  "BridgeID".equals(pLocalName)) {
          __state = 2;
          org.apache.ws.jaxme.JMManager _2 = getHandler().getJMUnmarshaller().getJAXBContextImpl().getManagerS(org.msda.msd.UbisecID.class);
          java.lang.Object _3 = _2.getElementS();
          org.apache.ws.jaxme.impl.JMSAXElementParser _4 = _2.getHandler();
          _4.init(_1, _3, "http://msd.msda.org", "BridgeID", _1.getLevel());
          _4.setAttributes(pAttr);
          _1.addElementParser(_4);
          return true;
        }
        break;
      case 2:
        if ("http://msd.msda.org".equals(pNamespaceURI)  &&  "SrcNetID".equals(pLocalName)) {
          __state = 3;
          org.apache.ws.jaxme.JMManager _5 = getHandler().getJMUnmarshaller().getJAXBContextImpl().getManagerS(org.msda.msd.UbisecID.class);
          java.lang.Object _6 = _5.getElementS();
          org.apache.ws.jaxme.impl.JMSAXElementParser _7 = _5.getHandler();
          _7.init(_1, _6, "http://msd.msda.org", "SrcNetID", _1.getLevel());
          _7.setAttributes(pAttr);
          _1.addElementParser(_7);
          return true;
        }
        break;
      case 3:
        if ("http://msd.msda.org".equals(pNamespaceURI)  &&  "DestNetID".equals(pLocalName)) {
          __state = 4;
          org.apache.ws.jaxme.JMManager _8 = getHandler().getJMUnmarshaller().getJAXBContextImpl().getManagerS(org.msda.msd.UbisecID.class);
          java.lang.Object _9 = _8.getElementS();
          org.apache.ws.jaxme.impl.JMSAXElementParser _10 = _8.getHandler();
          _10.init(_1, _9, "http://msd.msda.org", "DestNetID", _1.getLevel());
          _10.setAttributes(pAttr);
          _1.addElementParser(_10);
          return true;
        }
        break;
      case 4:
        if ("http://msd.msda.org".equals(pNamespaceURI)  &&  "Security".equals(pLocalName)) {
          __state = 5;
          _1.addSimpleAtomicState();
          return true;
        }
        break;
      case 5:
        break;
      default:
        throw new java.lang.IllegalStateException("Invalid state: " + __state);
    }
    return false;
  }

  public void endElement(java.lang.String pNamespaceURI, java.lang.String pLocalName, java.lang.String pQName, java.lang.Object pResult) throws org.xml.sax.SAXException {
    org.msda.msd.Hop _1 = (org.msda.msd.Hop) result;
    switch (__state) {
      case 1:
        if ("http://msd.msda.org".equals(pNamespaceURI)  &&  "Time".equals(pLocalName)) {
          try {
            java.lang.String _2 = (java.lang.String) pResult;
            java.text.ParsePosition _3 = new java.text.ParsePosition(0);
            java.lang.Object _4 = ((org.apache.ws.jaxme.impl.JMUnmarshallerImpl) getHandler().getJMUnmarshaller()).getTimeFormat().parseObject(_2, _3);
            if (_4 == null) {
              throw new java.lang.IllegalArgumentException("Failed to parse dateTime " + _2 + " at: " + _2.substring(_3.getErrorIndex()));
            }
            java.util.Calendar _5;
            if (_4 instanceof java.util.Calendar) {
              _5 = (java.util.Calendar) _4;
            } else {
              _5 = java.util.Calendar.getInstance();
              _5.setTime((java.util.Date) _4);
            }
            _1.setTime(_5);
          } catch (java.lang.Exception _6) {
            getHandler().parseConversionEvent("Failed to convert value of {http://msd.msda.org}Time: " + pResult, _6);
          }
          return;
        }
        break;
      case 2:
        if ("http://msd.msda.org".equals(pNamespaceURI)  &&  "BridgeID".equals(pLocalName)) {
          _1.setBridgeID(((org.msda.msd.UbisecID) pResult));
          return;
        }
        break;
      case 3:
        if ("http://msd.msda.org".equals(pNamespaceURI)  &&  "SrcNetID".equals(pLocalName)) {
          _1.setSrcNetID(((org.msda.msd.UbisecID) pResult));
          return;
        }
        break;
      case 4:
        if ("http://msd.msda.org".equals(pNamespaceURI)  &&  "DestNetID".equals(pLocalName)) {
          _1.setDestNetID(((org.msda.msd.UbisecID) pResult));
          return;
        }
        break;
      case 5:
        if ("http://msd.msda.org".equals(pNamespaceURI)  &&  "Security".equals(pLocalName)) {
          _1.setSecurity((java.lang.String) pResult);
          return;
        }
        break;
      default:
        throw new java.lang.IllegalStateException("Illegal state: " + __state);
    }
  }

  public boolean isFinished() {
    switch (__state) {
      case 5:
        return true;
      default:
        return false;
    }
  }


//Type metadata
	private static csoap.wsdl.TypeDesc typeDesc=new csoap.wsdl.TypeDesc(HopHandler.class);

	static {
		typeDesc.setXmlType(new javax.xml.namespace.QName("urn:MSDClientAPIService","HopHandler"));
		csoap.wsdl.ElementDesc elementField;

		elementField=new csoap.wsdl.ElementDesc();
		elementField.setFieldName("__state");
		elementField.setXmlName(new javax.xml.namespace.QName("","__state"));
		elementField.setXmlType(new javax.xml.namespace.QName("http://www.w3.org/2001/XMLSchema","int"));
		typeDesc.addFieldDesc(elementField);

		elementField=new csoap.wsdl.ElementDesc();
		elementField.setFieldName("class$0");
		elementField.setXmlName(new javax.xml.namespace.QName("","class$0"));
		elementField.setXmlType(new javax.xml.namespace.QName("urn:MSDClientAPIService","Class"));
		typeDesc.addFieldDesc(elementField);

	}

	/**
	* Return type metadata object
	*/
	public static csoap.wsdl.TypeDesc getTypeDesc() {
		return typeDesc;
	}



}
