package org.msda.msd.impl;

public class InformationComponentHandler extends org.apache.ws.jaxme.impl.JMSAXElementParser {
  /** The current state. The following values are valid states:
   *  0 = Before parsing the element
   *  1 = While or after parsing the child element {http://msd.msda.org}CompID
   *  2 = While or after parsing the child element {http://msd.msda.org}AgreeBridge
   *  3 = While or after parsing the child element {http://msd.msda.org}IPAddr
   *  4 = While or after parsing the child element {http://msd.msda.org}NetName
   *  5 = While or after parsing the child element {http://msd.msda.org}Certif
   *  6 = While or after parsing the child element {http://msd.msda.org}Manager
   *  7 = While or after parsing the child element {http://msd.msda.org}ActvNets
   *  8 = While or after parsing the child element {http://msd.msda.org}benefit
   *  9 = While or after parsing the child element {http://msd.msda.org}Params
   *  10 = While or after parsing the child element {http://msd.msda.org}CtxRules
   *  11 = While or after parsing the child element {http://msd.msda.org}CtxInfo
   * 
   */
  private int __state;


  public boolean startElement(java.lang.String pNamespaceURI, java.lang.String pLocalName, java.lang.String pQName, org.xml.sax.Attributes pAttr) throws org.xml.sax.SAXException {
    org.apache.ws.jaxme.impl.JMUnmarshallerHandlerImpl _1 = getHandler();
    switch (__state) {
      case 0:
        if ("http://msd.msda.org".equals(pNamespaceURI)  &&  "CompID".equals(pLocalName)) {
          __state = 1;
          org.apache.ws.jaxme.JMManager _2 = getHandler().getJMUnmarshaller().getJAXBContextImpl().getManagerS(org.msda.msd.UbisecID.class);
          java.lang.Object _3 = _2.getElementS();
          org.apache.ws.jaxme.impl.JMSAXElementParser _4 = _2.getHandler();
          _4.init(_1, _3, "http://msd.msda.org", "CompID", _1.getLevel());
          _4.setAttributes(pAttr);
          _1.addElementParser(_4);
          return true;
        }
        break;
      case 1:
        if ("http://msd.msda.org".equals(pNamespaceURI)  &&  "AgreeBridge".equals(pLocalName)) {
          __state = 2;
          _1.addSimpleAtomicState();
          return true;
        }
        break;
      case 2:
        if ("http://msd.msda.org".equals(pNamespaceURI)  &&  "IPAddr".equals(pLocalName)) {
          __state = 3;
          _1.addSimpleAtomicState();
          return true;
        }
        break;
      case 3:
        if ("http://msd.msda.org".equals(pNamespaceURI)  &&  "NetName".equals(pLocalName)) {
          __state = 4;
          _1.addSimpleAtomicState();
          return true;
        }
        break;
      case 4:
        if ("http://msd.msda.org".equals(pNamespaceURI)  &&  "Certif".equals(pLocalName)) {
          __state = 5;
          _1.addSimpleAtomicState();
          return true;
        } else if ("http://msd.msda.org".equals(pNamespaceURI)  &&  "Manager".equals(pLocalName)) {
          __state = 6;
          org.apache.ws.jaxme.JMManager _5 = getHandler().getJMUnmarshaller().getJAXBContextImpl().getManagerS(org.msda.msd.ManagerConfig.class);
          java.lang.Object _6 = _5.getElementS();
          org.apache.ws.jaxme.impl.JMSAXElementParser _7 = _5.getHandler();
          _7.init(_1, _6, "http://msd.msda.org", "Manager", _1.getLevel());
          _7.setAttributes(pAttr);
          _1.addElementParser(_7);
          return true;
        } else if ("http://msd.msda.org".equals(pNamespaceURI)  &&  "ActvNets".equals(pLocalName)) {
          __state = 7;
          org.apache.ws.jaxme.JMManager _8 = getHandler().getJMUnmarshaller().getJAXBContextImpl().getManagerS(org.msda.msd.NetworkConfig.class);
          java.lang.Object _9 = _8.getElementS();
          org.apache.ws.jaxme.impl.JMSAXElementParser _10 = _8.getHandler();
          _10.init(_1, _9, "http://msd.msda.org", "ActvNets", _1.getLevel());
          _10.setAttributes(pAttr);
          _1.addElementParser(_10);
          return true;
        }
        break;
      case 5:
        if ("http://msd.msda.org".equals(pNamespaceURI)  &&  "Manager".equals(pLocalName)) {
          __state = 6;
          org.apache.ws.jaxme.JMManager _11 = getHandler().getJMUnmarshaller().getJAXBContextImpl().getManagerS(org.msda.msd.ManagerConfig.class);
          java.lang.Object _12 = _11.getElementS();
          org.apache.ws.jaxme.impl.JMSAXElementParser _13 = _11.getHandler();
          _13.init(_1, _12, "http://msd.msda.org", "Manager", _1.getLevel());
          _13.setAttributes(pAttr);
          _1.addElementParser(_13);
          return true;
        } else if ("http://msd.msda.org".equals(pNamespaceURI)  &&  "ActvNets".equals(pLocalName)) {
          __state = 7;
          org.apache.ws.jaxme.JMManager _14 = getHandler().getJMUnmarshaller().getJAXBContextImpl().getManagerS(org.msda.msd.NetworkConfig.class);
          java.lang.Object _15 = _14.getElementS();
          org.apache.ws.jaxme.impl.JMSAXElementParser _16 = _14.getHandler();
          _16.init(_1, _15, "http://msd.msda.org", "ActvNets", _1.getLevel());
          _16.setAttributes(pAttr);
          _1.addElementParser(_16);
          return true;
        }
        break;
      case 6:
        if ("http://msd.msda.org".equals(pNamespaceURI)  &&  "ActvNets".equals(pLocalName)) {
          __state = 7;
          org.apache.ws.jaxme.JMManager _17 = getHandler().getJMUnmarshaller().getJAXBContextImpl().getManagerS(org.msda.msd.NetworkConfig.class);
          java.lang.Object _18 = _17.getElementS();
          org.apache.ws.jaxme.impl.JMSAXElementParser _19 = _17.getHandler();
          _19.init(_1, _18, "http://msd.msda.org", "ActvNets", _1.getLevel());
          _19.setAttributes(pAttr);
          _1.addElementParser(_19);
          return true;
        }
        break;
      case 7:
        if ("http://msd.msda.org".equals(pNamespaceURI)  &&  "ActvNets".equals(pLocalName)) {
          __state = 7;
          org.apache.ws.jaxme.JMManager _20 = getHandler().getJMUnmarshaller().getJAXBContextImpl().getManagerS(org.msda.msd.NetworkConfig.class);
          java.lang.Object _21 = _20.getElementS();
          org.apache.ws.jaxme.impl.JMSAXElementParser _22 = _20.getHandler();
          _22.init(_1, _21, "http://msd.msda.org", "ActvNets", _1.getLevel());
          _22.setAttributes(pAttr);
          _1.addElementParser(_22);
          return true;
        } else if ("http://msd.msda.org".equals(pNamespaceURI)  &&  "benefit".equals(pLocalName)) {
          __state = 8;
          _1.addSimpleAtomicState();
          return true;
        }
        break;
      case 8:
        if ("http://msd.msda.org".equals(pNamespaceURI)  &&  "Params".equals(pLocalName)) {
          __state = 9;
          org.apache.ws.jaxme.JMManager _23 = getHandler().getJMUnmarshaller().getJAXBContextImpl().getManagerS(org.msda.msd.Param.class);
          java.lang.Object _24 = _23.getElementS();
          org.apache.ws.jaxme.impl.JMSAXElementParser _25 = _23.getHandler();
          _25.init(_1, _24, "http://msd.msda.org", "Params", _1.getLevel());
          _25.setAttributes(pAttr);
          _1.addElementParser(_25);
          return true;
        } else if ("http://msd.msda.org".equals(pNamespaceURI)  &&  "CtxRules".equals(pLocalName)) {
          __state = 10;
          org.apache.ws.jaxme.JMManager _26 = getHandler().getJMUnmarshaller().getJAXBContextImpl().getManagerS(org.msda.msd.ContextRulesTree.class);
          java.lang.Object _27 = _26.getElementS();
          org.apache.ws.jaxme.impl.JMSAXElementParser _28 = _26.getHandler();
          _28.init(_1, _27, "http://msd.msda.org", "CtxRules", _1.getLevel());
          _28.setAttributes(pAttr);
          _1.addElementParser(_28);
          return true;
        } else if ("http://msd.msda.org".equals(pNamespaceURI)  &&  "CtxInfo".equals(pLocalName)) {
          __state = 11;
          org.apache.ws.jaxme.JMManager _29 = getHandler().getJMUnmarshaller().getJAXBContextImpl().getManagerS(org.msda.msd.ContextInformationTable.class);
          java.lang.Object _30 = _29.getElementS();
          org.apache.ws.jaxme.impl.JMSAXElementParser _31 = _29.getHandler();
          _31.init(_1, _30, "http://msd.msda.org", "CtxInfo", _1.getLevel());
          _31.setAttributes(pAttr);
          _1.addElementParser(_31);
          return true;
        }
        break;
      case 9:
        if ("http://msd.msda.org".equals(pNamespaceURI)  &&  "Params".equals(pLocalName)) {
          __state = 9;
          org.apache.ws.jaxme.JMManager _32 = getHandler().getJMUnmarshaller().getJAXBContextImpl().getManagerS(org.msda.msd.Param.class);
          java.lang.Object _33 = _32.getElementS();
          org.apache.ws.jaxme.impl.JMSAXElementParser _34 = _32.getHandler();
          _34.init(_1, _33, "http://msd.msda.org", "Params", _1.getLevel());
          _34.setAttributes(pAttr);
          _1.addElementParser(_34);
          return true;
        } else if ("http://msd.msda.org".equals(pNamespaceURI)  &&  "CtxRules".equals(pLocalName)) {
          __state = 10;
          org.apache.ws.jaxme.JMManager _35 = getHandler().getJMUnmarshaller().getJAXBContextImpl().getManagerS(org.msda.msd.ContextRulesTree.class);
          java.lang.Object _36 = _35.getElementS();
          org.apache.ws.jaxme.impl.JMSAXElementParser _37 = _35.getHandler();
          _37.init(_1, _36, "http://msd.msda.org", "CtxRules", _1.getLevel());
          _37.setAttributes(pAttr);
          _1.addElementParser(_37);
          return true;
        } else if ("http://msd.msda.org".equals(pNamespaceURI)  &&  "CtxInfo".equals(pLocalName)) {
          __state = 11;
          org.apache.ws.jaxme.JMManager _38 = getHandler().getJMUnmarshaller().getJAXBContextImpl().getManagerS(org.msda.msd.ContextInformationTable.class);
          java.lang.Object _39 = _38.getElementS();
          org.apache.ws.jaxme.impl.JMSAXElementParser _40 = _38.getHandler();
          _40.init(_1, _39, "http://msd.msda.org", "CtxInfo", _1.getLevel());
          _40.setAttributes(pAttr);
          _1.addElementParser(_40);
          return true;
        }
        break;
      case 10:
        if ("http://msd.msda.org".equals(pNamespaceURI)  &&  "CtxInfo".equals(pLocalName)) {
          __state = 11;
          org.apache.ws.jaxme.JMManager _41 = getHandler().getJMUnmarshaller().getJAXBContextImpl().getManagerS(org.msda.msd.ContextInformationTable.class);
          java.lang.Object _42 = _41.getElementS();
          org.apache.ws.jaxme.impl.JMSAXElementParser _43 = _41.getHandler();
          _43.init(_1, _42, "http://msd.msda.org", "CtxInfo", _1.getLevel());
          _43.setAttributes(pAttr);
          _1.addElementParser(_43);
          return true;
        }
        break;
      case 11:
        break;
      default:
        throw new java.lang.IllegalStateException("Invalid state: " + __state);
    }
    return false;
  }

  public void endElement(java.lang.String pNamespaceURI, java.lang.String pLocalName, java.lang.String pQName, java.lang.Object pResult) throws org.xml.sax.SAXException {
    org.msda.msd.InformationComponent _1 = (org.msda.msd.InformationComponent) result;
    switch (__state) {
      case 1:
        if ("http://msd.msda.org".equals(pNamespaceURI)  &&  "CompID".equals(pLocalName)) {
          _1.setCompID(((org.msda.msd.UbisecID) pResult));
          return;
        }
        break;
      case 2:
        if ("http://msd.msda.org".equals(pNamespaceURI)  &&  "AgreeBridge".equals(pLocalName)) {
          try {
            _1.setAgreeBridge(getHandler().getDatatypeConverter().parseInteger((java.lang.String) pResult));
          } catch (java.lang.Exception _2) {
            getHandler().parseConversionEvent("Failed to convert value of {http://msd.msda.org}AgreeBridge: " + pResult, _2);
          }
          return;
        }
        break;
      case 3:
        if ("http://msd.msda.org".equals(pNamespaceURI)  &&  "IPAddr".equals(pLocalName)) {
          _1.setIPAddr((java.lang.String) pResult);
          return;
        }
        break;
      case 4:
        if ("http://msd.msda.org".equals(pNamespaceURI)  &&  "NetName".equals(pLocalName)) {
          _1.setNetName((java.lang.String) pResult);
          return;
        }
        break;
      case 5:
        if ("http://msd.msda.org".equals(pNamespaceURI)  &&  "Certif".equals(pLocalName)) {
          try {
            _1.setCertif(getHandler().getDatatypeConverter().parseBase64Binary((java.lang.String) pResult));
          } catch (java.lang.Exception _3) {
            getHandler().parseConversionEvent("Failed to convert value of {http://msd.msda.org}Certif: " + pResult, _3);
          }
          return;
        }
        break;
      case 6:
        if ("http://msd.msda.org".equals(pNamespaceURI)  &&  "Manager".equals(pLocalName)) {
          _1.setManager(((org.msda.msd.ManagerConfig) pResult));
          return;
        }
        break;
      case 7:
        if ("http://msd.msda.org".equals(pNamespaceURI)  &&  "ActvNets".equals(pLocalName)) {
          _1.getActvNets().add(pResult);
          return;
        }
        break;
      case 8:
        if ("http://msd.msda.org".equals(pNamespaceURI)  &&  "benefit".equals(pLocalName)) {
          try {
            _1.setBenefit(getHandler().getDatatypeConverter().parseFloat((java.lang.String) pResult));
          } catch (java.lang.Exception _4) {
            getHandler().parseConversionEvent("Failed to convert value of {http://msd.msda.org}benefit: " + pResult, _4);
          }
          return;
        }
        break;
      case 9:
        if ("http://msd.msda.org".equals(pNamespaceURI)  &&  "Params".equals(pLocalName)) {
          _1.getParams().add(pResult);
          return;
        }
        break;
      case 10:
        if ("http://msd.msda.org".equals(pNamespaceURI)  &&  "CtxRules".equals(pLocalName)) {
          _1.setCtxRules(((org.msda.msd.ContextRulesTree) pResult));
          return;
        }
        break;
      case 11:
        if ("http://msd.msda.org".equals(pNamespaceURI)  &&  "CtxInfo".equals(pLocalName)) {
          _1.setCtxInfo(((org.msda.msd.ContextInformationTable) pResult));
          return;
        }
        break;
      default:
        throw new java.lang.IllegalStateException("Illegal state: " + __state);
    }
  }

  public boolean isFinished() {
    switch (__state) {
      case 11:
      case 10:
      case 9:
      case 8:
        return true;
      default:
        return false;
    }
  }


//Type metadata
	private static csoap.wsdl.TypeDesc typeDesc=new csoap.wsdl.TypeDesc(InformationComponentHandler.class);

	static {
		typeDesc.setXmlType(new javax.xml.namespace.QName("urn:MSDClientAPIService","InformationComponentHandler"));
		csoap.wsdl.ElementDesc elementField;

		elementField=new csoap.wsdl.ElementDesc();
		elementField.setFieldName("__state");
		elementField.setXmlName(new javax.xml.namespace.QName("","__state"));
		elementField.setXmlType(new javax.xml.namespace.QName("http://www.w3.org/2001/XMLSchema","int"));
		typeDesc.addFieldDesc(elementField);

		elementField=new csoap.wsdl.ElementDesc();
		elementField.setFieldName("class$0");
		elementField.setXmlName(new javax.xml.namespace.QName("","class$0"));
		elementField.setXmlType(new javax.xml.namespace.QName("urn:MSDClientAPIService","Class"));
		typeDesc.addFieldDesc(elementField);

		elementField=new csoap.wsdl.ElementDesc();
		elementField.setFieldName("class$1");
		elementField.setXmlName(new javax.xml.namespace.QName("","class$1"));
		elementField.setXmlType(new javax.xml.namespace.QName("urn:MSDClientAPIService","Class"));
		typeDesc.addFieldDesc(elementField);

		elementField=new csoap.wsdl.ElementDesc();
		elementField.setFieldName("class$2");
		elementField.setXmlName(new javax.xml.namespace.QName("","class$2"));
		elementField.setXmlType(new javax.xml.namespace.QName("urn:MSDClientAPIService","Class"));
		typeDesc.addFieldDesc(elementField);

		elementField=new csoap.wsdl.ElementDesc();
		elementField.setFieldName("class$3");
		elementField.setXmlName(new javax.xml.namespace.QName("","class$3"));
		elementField.setXmlType(new javax.xml.namespace.QName("urn:MSDClientAPIService","Class"));
		typeDesc.addFieldDesc(elementField);

		elementField=new csoap.wsdl.ElementDesc();
		elementField.setFieldName("class$4");
		elementField.setXmlName(new javax.xml.namespace.QName("","class$4"));
		elementField.setXmlType(new javax.xml.namespace.QName("urn:MSDClientAPIService","Class"));
		typeDesc.addFieldDesc(elementField);

		elementField=new csoap.wsdl.ElementDesc();
		elementField.setFieldName("class$5");
		elementField.setXmlName(new javax.xml.namespace.QName("","class$5"));
		elementField.setXmlType(new javax.xml.namespace.QName("urn:MSDClientAPIService","Class"));
		typeDesc.addFieldDesc(elementField);

	}

	/**
	* Return type metadata object
	*/
	public static csoap.wsdl.TypeDesc getTypeDesc() {
		return typeDesc;
	}



}
