package org.msda.msd.impl;

public class MSDRequestDriver implements org.apache.ws.jaxme.impl.JMSAXDriver {
  public org.xml.sax.helpers.AttributesImpl getAttributes(org.apache.ws.jaxme.impl.JMSAXDriverController pController, java.lang.Object pObject) throws org.xml.sax.SAXException {
    org.xml.sax.helpers.AttributesImpl _1 = new org.xml.sax.helpers.AttributesImpl();
    return _1;
  }

  public java.lang.String getPreferredPrefix(java.lang.String pURI) {
    if (pURI == null) {
      pURI = "";
    }
    if (pURI.equals("http://msd.msda.org")) {
      return "xmsd";
    }
    return null;
  }

  public void marshalChilds(org.apache.ws.jaxme.impl.JMSAXDriverController pController, org.xml.sax.ContentHandler pHandler, java.lang.Object pObject) throws org.xml.sax.SAXException {
    org.msda.msd.MSDRequest _1 = (org.msda.msd.MSDRequest) pObject;
    java.lang.String _2 = _1.getChecksum();
    if (_2 != null) {
      pController.marshalSimpleChild(this, "http://msd.msda.org", "Checksum", _1.getChecksum());
    }
    java.math.BigInteger _3 = _1.getClientID();
    if (_3 != null) {
      pController.marshalSimpleChild(this, "http://msd.msda.org", "ClientID", pController.getDatatypeConverter().printInteger(_1.getClientID()));
    }
    java.math.BigInteger _4 = _1.getReqID();
    if (_4 != null) {
      pController.marshalSimpleChild(this, "http://msd.msda.org", "ReqID", pController.getDatatypeConverter().printInteger(_1.getReqID()));
    }
    org.msda.msd.ReqDescriptionInformation _5 = _1.getDescInfo();
    if (_5 != null) {
      org.apache.ws.jaxme.impl.JMSAXDriver _6 = pController.getJMMarshaller().getJAXBContextImpl().getManagerS(org.msda.msd.ReqDescriptionInformation.class).getDriver();
      pController.marshal(_6, "http://msd.msda.org", "DescInfo", _1.getDescInfo());
    }
    org.msda.msd.ContextInformation _7 = _1.getCtxInfo();
    if (_7 != null) {
      org.apache.ws.jaxme.impl.JMSAXDriver _8 = pController.getJMMarshaller().getJAXBContextImpl().getManagerS(org.msda.msd.ContextInformation.class).getDriver();
      pController.marshal(_8, "http://msd.msda.org", "CtxInfo", _1.getCtxInfo());
    }
    org.msda.msd.ContextRules _9 = _1.getCtxRules();
    if (_9 != null) {
      org.apache.ws.jaxme.impl.JMSAXDriver _10 = pController.getJMMarshaller().getJAXBContextImpl().getManagerS(org.msda.msd.ContextRules.class).getDriver();
      pController.marshal(_10, "http://msd.msda.org", "CtxRules", _1.getCtxRules());
    }
    org.msda.msd.ReqProcessingInformation _11 = _1.getProcInfo();
    if (_11 != null) {
      org.apache.ws.jaxme.impl.JMSAXDriver _12 = pController.getJMMarshaller().getJAXBContextImpl().getManagerS(org.msda.msd.ReqProcessingInformation.class).getDriver();
      pController.marshal(_12, "http://msd.msda.org", "ProcInfo", _1.getProcInfo());
    }
    org.msda.msd.PropagationInformation _13 = _1.getPropaInfo();
    if (_13 != null) {
      org.apache.ws.jaxme.impl.JMSAXDriver _14 = pController.getJMMarshaller().getJAXBContextImpl().getManagerS(org.msda.msd.PropagationInformation.class).getDriver();
      pController.marshal(_14, "http://msd.msda.org", "PropaInfo", _1.getPropaInfo());
    }
  }


//Type metadata
	private static csoap.wsdl.TypeDesc typeDesc=new csoap.wsdl.TypeDesc(MSDRequestDriver.class);

	static {
		typeDesc.setXmlType(new javax.xml.namespace.QName("urn:MSDClientAPIService","MSDRequestDriver"));
		csoap.wsdl.ElementDesc elementField;

		elementField=new csoap.wsdl.ElementDesc();
		elementField.setFieldName("class$0");
		elementField.setXmlName(new javax.xml.namespace.QName("","class$0"));
		elementField.setXmlType(new javax.xml.namespace.QName("urn:MSDClientAPIService","Class"));
		typeDesc.addFieldDesc(elementField);

		elementField=new csoap.wsdl.ElementDesc();
		elementField.setFieldName("class$1");
		elementField.setXmlName(new javax.xml.namespace.QName("","class$1"));
		elementField.setXmlType(new javax.xml.namespace.QName("urn:MSDClientAPIService","Class"));
		typeDesc.addFieldDesc(elementField);

		elementField=new csoap.wsdl.ElementDesc();
		elementField.setFieldName("class$2");
		elementField.setXmlName(new javax.xml.namespace.QName("","class$2"));
		elementField.setXmlType(new javax.xml.namespace.QName("urn:MSDClientAPIService","Class"));
		typeDesc.addFieldDesc(elementField);

		elementField=new csoap.wsdl.ElementDesc();
		elementField.setFieldName("class$3");
		elementField.setXmlName(new javax.xml.namespace.QName("","class$3"));
		elementField.setXmlType(new javax.xml.namespace.QName("urn:MSDClientAPIService","Class"));
		typeDesc.addFieldDesc(elementField);

		elementField=new csoap.wsdl.ElementDesc();
		elementField.setFieldName("class$4");
		elementField.setXmlName(new javax.xml.namespace.QName("","class$4"));
		elementField.setXmlType(new javax.xml.namespace.QName("urn:MSDClientAPIService","Class"));
		typeDesc.addFieldDesc(elementField);

	}

	/**
	* Return type metadata object
	*/
	public static csoap.wsdl.TypeDesc getTypeDesc() {
		return typeDesc;
	}



}
