package org.msda.msd.impl;

public class NetworkConfigHandler extends org.apache.ws.jaxme.impl.JMSAXElementParser {
  /** The current state. The following values are valid states:
   *  0 = Before parsing the element
   *  1 = While or after parsing the child element {http://msd.msda.org}Name
   *  2 = While or after parsing the child element {http://msd.msda.org}Interface
   *  3 = While or after parsing the child element {http://msd.msda.org}ControlGroup
   *  4 = While or after parsing the child element {http://msd.msda.org}ControlPort
   *  5 = While or after parsing the child element {http://msd.msda.org}DataGroup
   *  6 = While or after parsing the child element {http://msd.msda.org}DataPort
   *  7 = While or after parsing the child element {http://msd.msda.org}BridgeRemoteAccessPort
   *  8 = While or after parsing the child element {http://msd.msda.org}Security
   *  9 = While or after parsing the child element {http://msd.msda.org}Params
   * 
   */
  private int __state;


  public boolean startElement(java.lang.String pNamespaceURI, java.lang.String pLocalName, java.lang.String pQName, org.xml.sax.Attributes pAttr) throws org.xml.sax.SAXException {
    org.apache.ws.jaxme.impl.JMUnmarshallerHandlerImpl _1 = getHandler();
    switch (__state) {
      case 0:
        if ("http://msd.msda.org".equals(pNamespaceURI)  &&  "Name".equals(pLocalName)) {
          __state = 1;
          _1.addSimpleAtomicState();
          return true;
        }
        break;
      case 1:
        if ("http://msd.msda.org".equals(pNamespaceURI)  &&  "Interface".equals(pLocalName)) {
          __state = 2;
          _1.addSimpleAtomicState();
          return true;
        }
        break;
      case 2:
        if ("http://msd.msda.org".equals(pNamespaceURI)  &&  "ControlGroup".equals(pLocalName)) {
          __state = 3;
          _1.addSimpleAtomicState();
          return true;
        }
        break;
      case 3:
        if ("http://msd.msda.org".equals(pNamespaceURI)  &&  "ControlPort".equals(pLocalName)) {
          __state = 4;
          _1.addSimpleAtomicState();
          return true;
        }
        break;
      case 4:
        if ("http://msd.msda.org".equals(pNamespaceURI)  &&  "DataGroup".equals(pLocalName)) {
          __state = 5;
          _1.addSimpleAtomicState();
          return true;
        }
        break;
      case 5:
        if ("http://msd.msda.org".equals(pNamespaceURI)  &&  "DataPort".equals(pLocalName)) {
          __state = 6;
          _1.addSimpleAtomicState();
          return true;
        }
        break;
      case 6:
        if ("http://msd.msda.org".equals(pNamespaceURI)  &&  "BridgeRemoteAccessPort".equals(pLocalName)) {
          __state = 7;
          _1.addSimpleAtomicState();
          return true;
        }
        break;
      case 7:
        if ("http://msd.msda.org".equals(pNamespaceURI)  &&  "Security".equals(pLocalName)) {
          __state = 8;
          org.apache.ws.jaxme.JMManager _2 = getHandler().getJMUnmarshaller().getJAXBContextImpl().getManagerS(org.msda.msd.SecurityParams.class);
          java.lang.Object _3 = _2.getElementS();
          org.apache.ws.jaxme.impl.JMSAXElementParser _4 = _2.getHandler();
          _4.init(_1, _3, "http://msd.msda.org", "Security", _1.getLevel());
          _4.setAttributes(pAttr);
          _1.addElementParser(_4);
          return true;
        } else if ("http://msd.msda.org".equals(pNamespaceURI)  &&  "Params".equals(pLocalName)) {
          __state = 9;
          org.apache.ws.jaxme.JMManager _5 = getHandler().getJMUnmarshaller().getJAXBContextImpl().getManagerS(org.msda.msd.Param.class);
          java.lang.Object _6 = _5.getElementS();
          org.apache.ws.jaxme.impl.JMSAXElementParser _7 = _5.getHandler();
          _7.init(_1, _6, "http://msd.msda.org", "Params", _1.getLevel());
          _7.setAttributes(pAttr);
          _1.addElementParser(_7);
          return true;
        }
        break;
      case 8:
        if ("http://msd.msda.org".equals(pNamespaceURI)  &&  "Params".equals(pLocalName)) {
          __state = 9;
          org.apache.ws.jaxme.JMManager _8 = getHandler().getJMUnmarshaller().getJAXBContextImpl().getManagerS(org.msda.msd.Param.class);
          java.lang.Object _9 = _8.getElementS();
          org.apache.ws.jaxme.impl.JMSAXElementParser _10 = _8.getHandler();
          _10.init(_1, _9, "http://msd.msda.org", "Params", _1.getLevel());
          _10.setAttributes(pAttr);
          _1.addElementParser(_10);
          return true;
        }
        break;
      case 9:
        if ("http://msd.msda.org".equals(pNamespaceURI)  &&  "Params".equals(pLocalName)) {
          __state = 9;
          org.apache.ws.jaxme.JMManager _11 = getHandler().getJMUnmarshaller().getJAXBContextImpl().getManagerS(org.msda.msd.Param.class);
          java.lang.Object _12 = _11.getElementS();
          org.apache.ws.jaxme.impl.JMSAXElementParser _13 = _11.getHandler();
          _13.init(_1, _12, "http://msd.msda.org", "Params", _1.getLevel());
          _13.setAttributes(pAttr);
          _1.addElementParser(_13);
          return true;
        }
        break;
      default:
        throw new java.lang.IllegalStateException("Invalid state: " + __state);
    }
    return false;
  }

  public void endElement(java.lang.String pNamespaceURI, java.lang.String pLocalName, java.lang.String pQName, java.lang.Object pResult) throws org.xml.sax.SAXException {
    org.msda.msd.NetworkConfig _1 = (org.msda.msd.NetworkConfig) result;
    switch (__state) {
      case 1:
        if ("http://msd.msda.org".equals(pNamespaceURI)  &&  "Name".equals(pLocalName)) {
          _1.setName((java.lang.String) pResult);
          return;
        }
        break;
      case 2:
        if ("http://msd.msda.org".equals(pNamespaceURI)  &&  "Interface".equals(pLocalName)) {
          _1.setInterface((java.lang.String) pResult);
          return;
        }
        break;
      case 3:
        if ("http://msd.msda.org".equals(pNamespaceURI)  &&  "ControlGroup".equals(pLocalName)) {
          _1.setControlGroup((java.lang.String) pResult);
          return;
        }
        break;
      case 4:
        if ("http://msd.msda.org".equals(pNamespaceURI)  &&  "ControlPort".equals(pLocalName)) {
          try {
            _1.setControlPort(getHandler().getDatatypeConverter().parseInteger((java.lang.String) pResult));
          } catch (java.lang.Exception _2) {
            getHandler().parseConversionEvent("Failed to convert value of {http://msd.msda.org}ControlPort: " + pResult, _2);
          }
          return;
        }
        break;
      case 5:
        if ("http://msd.msda.org".equals(pNamespaceURI)  &&  "DataGroup".equals(pLocalName)) {
          _1.setDataGroup((java.lang.String) pResult);
          return;
        }
        break;
      case 6:
        if ("http://msd.msda.org".equals(pNamespaceURI)  &&  "DataPort".equals(pLocalName)) {
          try {
            _1.setDataPort(getHandler().getDatatypeConverter().parseInteger((java.lang.String) pResult));
          } catch (java.lang.Exception _3) {
            getHandler().parseConversionEvent("Failed to convert value of {http://msd.msda.org}DataPort: " + pResult, _3);
          }
          return;
        }
        break;
      case 7:
        if ("http://msd.msda.org".equals(pNamespaceURI)  &&  "BridgeRemoteAccessPort".equals(pLocalName)) {
          try {
            _1.setBridgeRemoteAccessPort(getHandler().getDatatypeConverter().parseInteger((java.lang.String) pResult));
          } catch (java.lang.Exception _4) {
            getHandler().parseConversionEvent("Failed to convert value of {http://msd.msda.org}BridgeRemoteAccessPort: " + pResult, _4);
          }
          return;
        }
        break;
      case 8:
        if ("http://msd.msda.org".equals(pNamespaceURI)  &&  "Security".equals(pLocalName)) {
          _1.setSecurity(((org.msda.msd.SecurityParams) pResult));
          return;
        }
        break;
      case 9:
        if ("http://msd.msda.org".equals(pNamespaceURI)  &&  "Params".equals(pLocalName)) {
          _1.getParams().add(pResult);
          return;
        }
        break;
      default:
        throw new java.lang.IllegalStateException("Illegal state: " + __state);
    }
  }

  public boolean isFinished() {
    switch (__state) {
      case 9:
      case 8:
      case 7:
        return true;
      default:
        return false;
    }
  }


//Type metadata
	private static csoap.wsdl.TypeDesc typeDesc=new csoap.wsdl.TypeDesc(NetworkConfigHandler.class);

	static {
		typeDesc.setXmlType(new javax.xml.namespace.QName("urn:MSDClientAPIService","NetworkConfigHandler"));
		csoap.wsdl.ElementDesc elementField;

		elementField=new csoap.wsdl.ElementDesc();
		elementField.setFieldName("__state");
		elementField.setXmlName(new javax.xml.namespace.QName("","__state"));
		elementField.setXmlType(new javax.xml.namespace.QName("http://www.w3.org/2001/XMLSchema","int"));
		typeDesc.addFieldDesc(elementField);

		elementField=new csoap.wsdl.ElementDesc();
		elementField.setFieldName("class$0");
		elementField.setXmlName(new javax.xml.namespace.QName("","class$0"));
		elementField.setXmlType(new javax.xml.namespace.QName("urn:MSDClientAPIService","Class"));
		typeDesc.addFieldDesc(elementField);

		elementField=new csoap.wsdl.ElementDesc();
		elementField.setFieldName("class$1");
		elementField.setXmlName(new javax.xml.namespace.QName("","class$1"));
		elementField.setXmlType(new javax.xml.namespace.QName("urn:MSDClientAPIService","Class"));
		typeDesc.addFieldDesc(elementField);

	}

	/**
	* Return type metadata object
	*/
	public static csoap.wsdl.TypeDesc getTypeDesc() {
		return typeDesc;
	}



}
