/*
 * Created on March 20, 2005
 *
 * Comments, questions: 
 *	Pierre-Guillaume.Raverdy@inria.fr
 *	Rafik.Chibout@inria.fr
 *
 * INRIA, ARLES Project
 * 2004-2005
 */ 

package org.msda.plugins.upnp;

/**
 * @author rafik CHIBOUT
 */
public class UPnPServiceDescription {
	
String xmlns ="urn:schemas-upnp-org:service-1-0";	

String serviceType="";
String deviceId="";
String SCPDURL="";
String controlURL="";
String eventSubURL="";

UPnPSpecVersion specVersion = new UPnPSpecVersion();
UPnPAction[] actionList = null;
UPnPStateVariable[] stateVariableList = null;



/**
 * @return Returns the xmlns.
 */
public String getXmlns() {
	return xmlns;
}
/**
 * @param xmlns The xmlns to set.
 */
public void setXmlns(String xmlns) {
	this.xmlns = xmlns;
}

/**
 * @return Returns the actionList.
 */
public UPnPAction[] getActionList() {
	return actionList;
}
/**
 * @param actionList The actionList to set.
 */
public void setActionList(UPnPAction[] actionList) {
	this.actionList = actionList;
}
/**
 * @return Returns the controlURL.
 */
public String getControlURL() {
	return controlURL;
}
/**
 * @param controlURL The controlURL to set.
 */
public void setControlURL(String controlURL) {
	this.controlURL = controlURL;
}
/**
 * @return Returns the eventSubURL.
 */
public String getEventSubURL() {
	return eventSubURL;
}
/**
 * @param eventSubURL The eventSubURL to set.
 */
public void setEventSubURL(String eventSubURL) {
	this.eventSubURL = eventSubURL;
}
/**
 * @return Returns the sCPDURL.
 */
public String getSCPDURL() {
	return SCPDURL;
}
/**
 * @param scpdurl The sCPDURL to set.
 */
public void setSCPDURL(String scpdurl) {
	SCPDURL = scpdurl;
}
/**
 * @return Returns the serviceId.
 */
public String getDeviceId() {
	return deviceId;
}
/**
 * @param serviceId The serviceId to set.
 */
public void setDeviceId(String deviceId) {
	this.deviceId = deviceId;
}
/**
 * @return Returns the serviceType.
 */
public String getServiceType() {
	return serviceType;
}
/**
 * @param serviceType The serviceType to set.
 */
public void setServiceType(String serviceType) {
	this.serviceType = serviceType;
}
/**
 * @return Returns the specVersion.
 */
public UPnPSpecVersion getSpecVersion() {
	return specVersion;
}
/**
 * @param specVersion The specVersion to set.
 */
public void setSpecVersion(UPnPSpecVersion specVersion) {
	this.specVersion = specVersion;
}
/**
 * @return Returns the stateVariableList.
 */
public UPnPStateVariable[] getStateVariableList() {
	return stateVariableList;
}
/**
 * @param stateVariableList The stateVariableList to set.
 */
public void setStateVariableList(UPnPStateVariable[] stateVariableList) {
	this.stateVariableList = stateVariableList;
}
}
