/*
 * Created on March 20, 2005
 *
 * Comments, questions: 
 *	Pierre-Guillaume.Raverdy@inria.fr
 *	Rafik.Chibout@inria.fr
 *
 * INRIA, ARLES Project
 * 2004-2005
 */ 


package org.msda.plugins.upnp;

/**
 * @author rafik CHIBOUT
 */
public class UPnPStateVariable {
	boolean sendEvent =true;
	String name="";
	String dataType="";
	String defaultValue="";
	String[] allowedValueList = null;
	AllowedValueRange allowedValueRange = null;
	
	/**
	 * @return Returns the allowedValueRange.
	 */
	public AllowedValueRange getAllowedValueRange() {
		return allowedValueRange;
	}
	/**
	 * @param allowedValueRange The allowedValueRange to set.
	 */
	public void setAllowedValueRange(AllowedValueRange allowedValueRange) {
		this.allowedValueRange = allowedValueRange;
	}
	/**
	 * @return Returns the sendEvent.
	 */
	public boolean isSendEvent() {
		return sendEvent;
	}
	/**
	 * @param sendEvent The sendEvent to set.
	 */
	public void setSendEvent(boolean sendEvent) {
		this.sendEvent = sendEvent;
	}
	/**
	 * @return Returns the allowedValueList.
	 */
	public String[] getAllowedValueList() {
		return allowedValueList;
	}
	/**
	 * @param allowedValueList The allowedValueList to set.
	 */
	public void setAllowedValueList(String[] allowedValueList) {
		this.allowedValueList = allowedValueList;
	}
	/**
	 * @return Returns the dataType.
	 */
	public String getDataType() {
		return dataType;
	}
	/**
	 * @param dataType The dataType to set.
	 */
	public void setDataType(String dataType) {
		this.dataType = dataType;
	}
	/**
	 * @return Returns the defaultValue.
	 */
	public String getDefaultValue() {
		return defaultValue;
	}
	/**
	 * @param defaultValue The defaultValue to set.
	 */
	public void setDefaultValue(String defaultValue) {
		this.defaultValue = defaultValue;
	}
	/**
	 * @return Returns the name.
	 */
	public String getName() {
		return name;
	}
	/**
	 * @param name The name to set.
	 */
	public void setName(String name) {
		this.name = name;
	}
}
